<?php
/* IMPORTANT DATA */








$theme_dir=get_template(); 
$social_icons_dir="s_icons"; 
$bg_default="";


/* PREDEFINES */

// $slider=array("Cycle", "Cycle-Boxed", "Featured-image", "Smooth-Slider" );


 
$page_templates=array("page-sidebar-left","page-sidebar-right","page-no-sidebar");
 
$socials=array();

$socialdir = "../wp-content/themes/".$theme_dir."/images/".$social_icons_dir; 

if(is_admin())
	{
	$allfiles = scandir($socialdir);
	foreach ($allfiles as $file) 
		{ 
	    	$fileinfo = pathinfo($socialdir."/".$file); 
	    	if ($file != "." && $file != "..") 
			{
	    		$socials[]= $fileinfo['filename'];  
	    		};
	 	}; 
	}


$cssurl=get_template_directory_uri();



$foodr_transparent="transparent";

	$sidebars=get_option( $shortname."_sidebars" );

if(isset($sidebars))
	{
	for( $i=0; $i<count($sidebars); $i++ )
		{ 
		$ix=$i+20;
		if(isset($sidebars[$i]))
			{
			if($sidebars[$i]!="")	
				{ 
				$sidebar_names[]=$sidebars[$i];
				$sidebar_ids[]="sidebar-".$ix;	
				}
			}
		} 
	}

 

// ARRAY WITH THE STANDARD FONTS

$fonts=array("Arial", "Times", "Georgia", "Arial Narrow", "Arial Black", "Helvetica", "Tahoma", "Trebuchet Ms", "Verdana", "Anadale Mono", "Courier New", "Comic Sans Ms", "Impact", "");

// BRING TOGETHER THE STANDARD FONTS ARRAY AND THE WEBFONTS ARRAY

$fonts=array_merge($fonts,$gfonts);





$options = array(
	array(
		"type"		=>	 "newtab",   
		"name"		=>	 "General",   
		),

	array(
		"type"		=>	 "title",   
		"name"		=>	 "General Settings",   
		),

	array(
		"type"		=>	 "open",   
		),

	array(
		"type"		=>	 "dropdown",   
		"name"		=>	 "Primary Buttoncolor",   
		"id"		=>	 $shortname."_primary_button",
		"desc"		=>	 "Choose your default button color",   
		"value"		=>	 array("white","gray","darkgray","orange","yellow","pink","purple","blue","red","green","black","custom"),   
		"std"		=>	 "custom",   
		),

	array(
		"type"		=>	 "dropdown",   
		"name"		=>	 "Secondary Buttoncolor",   
		"id"		=>	 $shortname."_secondary_button",
		"desc"		=>	 "Choose your secondary button color",   
		"value"		=>	 array("white","gray","darkgray","orange","yellow","pink","purple","blue","red","green","black"),   
		"std"		=>	 "black",   
		),

	array(
		"type"		=>	 "checkbox",   
		"name"		=>	 "Enable responsive design",   
		"id"		=>	 $shortname."_responsive",
		"desc"		=>	 "Check this box if you would like to enable the responsive design",   
		"std"		=>	 "true",   
		),

	array(
		"type"		=>	 "checkbox",   
		"name"		=>	 "Disable all Comments?",   
		"id"		=>	 $shortname."_disable_comments",
		"desc"		=>	 "Check this box if you would like to DISABLE all Comments",   
		"std"		=>	 "false",   
		),

	array(
		"type"		=>	 "checkbox",   
		"name"		=>	 "Include style.css in customcss?",   
		"id"		=>	 $shortname."_reduce_css",
		"desc"		=>	 "Check this box if you would like to reduce the load of css files",   
		"std"		=>	 "false",   
		),

	array(
		"type"		=>	 "textarea",   
		"name"		=>	 "Google Analytics Code",   
		"id"		=>	 $shortname."_google_analytics",
		"desc"		=>	 "Your Google Analytics Code",   
		"filter"		=>	 "html",   
		),

	array(
		"type"		=>	 "textarea",   
		"name"		=>	 "Google Webmastertools Code",   
		"id"		=>	 $shortname."_google_webmaster",
		"desc"		=>	 "Your Google Webmastertools Code ()",   
		"filter"		=>	 "html",   
		),

	array(
		"type"		=>	 "textarea",   
		"name"		=>	 "Extra Javascript Content",   
		"id"		=>	 $shortname."_extra_js",
		"desc"		=>	 "Type in your extra javascript code",   
		"filter"		=>	 "html",   
		),

	array(
		"type"		=>	 "textarea",   
		"name"		=>	 "Extra CSS Content",   
		"id"		=>	 $shortname."_extra_css",
		"desc"		=>	 "Type in your extra css codes",   
		),

	array(
		"type"		=>	 "close",   
		),

	array(
		"type"		=>	 "endtab",   
		),

	array(
		"type"		=>	 "newtab",   
		),

	array(
		"type"		=>	 "title",   
		"name"		=>	 "Customize Wordpress",   
		),

	array(
		"type"		=>	 "open",   
		),

	array(
		"type"		=>	 "file",   
		"name"		=>	 "Custom Favicon",   
		"id"		=>	 $shortname."_favicon",
		"desc"		=>	 "Your Favicon",   
		"filter"		=>	 "url",   
		"std"		=>	 $favicon_default,   
		),

	array(
		"type"		=>	 "file",   
		"name"		=>	 "Custom Logo",   
		"id"		=>	 $shortname."_custom_logo",
		"desc"		=>	 "Your Logo",   
		"std"		=>	 $logo_default,   
		),

	array(
		"type"		=>	 "text",   
		"name"		=>	 "Logo Alignment",   
		"id"		=>	 $shortname."_custom_logo_top",
		"desc"		=>	 "The Distanz in Pixel to the Top of the Branding- and Navigation Section",   
		"filter"		=>	 "number",   
		"std"		=>	 "30",   
		),

	array(
		"type"		=>	 "text",   
		"name"		=>	 "Logo Alignment Bottom",   
		"id"		=>	 $shortname."_custom_logo_bottom",
		"desc"		=>	 "The Distanz in Pixel to the Bottom of the Branding- and Navigation Section",   
		"filter"		=>	 "number",   
		"std"		=>	 "100",   
		),

	array(
		"type"		=>	 "checkbox",   
		"name"		=>	 "Hide Wordpress",   
		"id"		=>	 $shortname."_hide_wp",
		"desc"		=>	 "Check this box if you would like to make anonymous Wordpress",   
		"filter"		=>	 "checkbox",   
		"std"		=>	 "false",   
		),

	array(
		"type"		=>	 "close",   
		),

	array(
		"type"		=>	 "endtab",   
		),

	array(
		"type"		=>	 "newtab",   
		),

	array(
		"type"		=>	 "title",   
		"name"		=>	 "Shortcodes",   
		),

	array(
		"type"		=>	 "open",   
		),

	array(
		"type"		=>	 "space",   
		"name"		=>	 "Userinterface Colors",   
		),

	array(
		"type"		=>	 "text-color",   
		"name"		=>	 "Backgroundcolor",   
		"id"		=>	 $shortname."_ui_bgcolor",
		"desc"		=>	 "Please define a Background-Color for the UI elements",   
		"std"		=>	 "#FF823D",   
		),

	array(
		"type"		=>	 "text-color",   
		"name"		=>	 "Color",   
		"id"		=>	 $shortname."_ui_color",
		"desc"		=>	 "Please define a Color for the UI elements",   
		"std"		=>	 "#FFFFFF",   
		),

	array(
		"type"		=>	 "space",   
		"name"		=>	 "Accordion Box-style",   
		),

	array(
		"type"		=>	 "text-color",   
		"name"		=>	 "Accordion Color",   
		"id"		=>	 $shortname."_accordion_font",
		"desc"		=>	 "Please define a Fontcolor for the 'Box-Style' Accordion",   
		"std"		=>	 "#FF823D",   
		),

	array(
		"type"		=>	 "text-color",   
		"name"		=>	 "Accordion Background",   
		"id"		=>	 $shortname."_accordion_bg",
		"desc"		=>	 "Please define a Backgroundcolor for the 'Box-Style' Accordion",   
		),

	array(
		"type"		=>	 "text-color",   
		"name"		=>	 "Accordion Border",   
		"id"		=>	 $shortname."_accordion_border",
		"desc"		=>	 "Please define a Bordercolor for the 'Box-Style' Accordion",   
		"std"		=>	 "#FF823D",   
		),

	array(
		"type"		=>	 "space",   
		"name"		=>	 "Toggle 'Box' Type",   
		),

	array(
		"type"		=>	 "text-color",   
		"name"		=>	 "Toggle Box Color",   
		"id"		=>	 $shortname."_togglebox_color",
		"desc"		=>	 "Please define a Color for the 'Box-Style' Toggle",   
		"std"		=>	 "#FF823D",   
		),

	array(
		"type"		=>	 "text-color",   
		"name"		=>	 "Toggle Box Background",   
		"id"		=>	 $shortname."_togglebox_bg",
		"desc"		=>	 "Please define a Backgroundcolor for the 'Box-Style' Toggle",   
		),

	array(
		"type"		=>	 "text-color",   
		"name"		=>	 "Toggle Box Border",   
		"id"		=>	 $shortname."_togglebox_border",
		"desc"		=>	 "Please define a Bordercolor for the 'Box-Style' Toggle",   
		"std"		=>	 "#FF823D",   
		),

	array(
		"type"		=>	 "space",   
		"name"		=>	 "Toggle 'Color' Type",   
		),

	array(
		"type"		=>	 "text-color",   
		"name"		=>	 "Color-Toggle Color",   
		"id"		=>	 $shortname."_ctoggle_color",
		"desc"		=>	 "Please define a Color for the 'Color-Style' Toggle Headline",   
		"std"		=>	 "#FFFFFF",   
		),

	array(
		"type"		=>	 "text-color",   
		"name"		=>	 "Color-Toggle Background",   
		"id"		=>	 $shortname."_ctoggle_bgcolor",
		"desc"		=>	 "Please define a Backgroundcolor for the 'Color-Style' Toggle Headline",   
		"std"		=>	 "#FF823D",   
		),

	array(
		"type"		=>	 "text-color",   
		"name"		=>	 "Color-Toggle Color Content",   
		"id"		=>	 $shortname."_ctoggle_content_color",
		"desc"		=>	 "Please define a Color for the 'Color-Style' Toggle Content",   
		),

	array(
		"type"		=>	 "text-color",   
		"name"		=>	 "Color-Toggle Background Content",   
		"id"		=>	 $shortname."_ctoggle_content_bg",
		"desc"		=>	 "Please define a Backgroundcolor for the 'Color-Style' Toggle Content",   
		),

	array(
		"type"		=>	 "space",   
		"name"		=>	 "Pricing tables",   
		),

	array(
		"type"		=>	 "text-color",   
		"name"		=>	 "Backgroundcolor",   
		"id"		=>	 $shortname."_pricing_bgcolor",
		"desc"		=>	 "Please define a Background-Color for the pricingtable shortcode",   
		"std"		=>	 "#FFFFFF",   
		"cssgoal"		=>	 ".pricing_heading",   
		"csskey"		=>	 "background",   
		),

	array(
		"type"		=>	 "text-color",   
		"name"		=>	 "Color",   
		"id"		=>	 $shortname."_pricing_color",
		"desc"		=>	 "Please define a Color for the pricingtable shortcode",   
		"std"		=>	 "#FF823D",   
		"cssgoal"		=>	 ".pricing_heading h3, .pricing_heading h4",   
		"csskey"		=>	 "color",   
		),

	array(
		"type"		=>	 "close",   
		),

	array(
		"type"		=>	 "endtab",   
		),

	array(
		"type"		=>	 "newvtab",   
		"name"		=>	 "Body",   
		),

	array(
		"type"		=>	 "newtab",   
		),

	array(
		"type"		=>	 "title",   
		"name"		=>	 " Body",   
		),

	array(
		"type"		=>	 "open",   
		),

	array(
		"type"		=>	 "info",   
		"desc"		=>	 "NOTE: Set your generell Settings here. If you dont want to set the Settings of every Sitesection, you can here set generell Settings for all Elements. Per Examble: You can set the Fontsize to 14px, then the Fontsize will be used for all Sitesections, as long you dont set another Fontsize in another Section.",   
		),

	array(
		"type"		=>	 "text-color",   
		"name"		=>	 "Backgroundcolor ",   
		"id"		=>	 $shortname."_Body_bgcolor",
		"desc"		=>	 "Set the Background Color for the Body Section",   
		"cssgoal"		=>	 "body",   
		"csskey"		=>	 "background-color",   
		),

	array(
		"type"		=>	 "background",   
		"name"		=>	 "Background Image",   
		"id"		=>	 $shortname."_Body_bgimage",
		"desc"		=>	 "The Body Section Background Image",   
		),

	array(
		"type"		=>	 "background-x",   
		"name"		=>	 "Background Horizontal",   
		"id"		=>	 $shortname."_Body_bgimage_x",
		"desc"		=>	 "Horizontal align for the Body Section Background Image",   
		"std"		=>	 "top",   
		),

	array(
		"type"		=>	 "background-y",   
		"name"		=>	 "Background Vertical",   
		"id"		=>	 $shortname."_Body_bgimage_y",
		"desc"		=>	 "The Vertical algin for the Body Section Background Image",   
		"std"		=>	 "left",   
		),

	array(
		"type"		=>	 "background-repeat",   
		"name"		=>	 "Background Repeat",   
		"id"		=>	 $shortname."_Body_bgimage_repeat",
		"desc"		=>	 "The Repeat for the Body Section Background Image",   
		),

	array(
		"type"		=>	 "background-fix",   
		"name"		=>	 "Background Fix",   
		"id"		=>	 $shortname."_Body_bgimage_fix",
		"desc"		=>	 "The Repeat for the Body Section Background Image",   
		),

	array(
		"type"		=>	 "text-color",   
		"name"		=>	 "Background Selection",   
		"id"		=>	 $shortname."_selection",
		"desc"		=>	 "Set the Background Color for selected Elements",   
		"std"		=>	 "#BAD6EB",   
		),

	array(
		"type"		=>	 "checkbox",   
		"name"		=>	 "Smooth scroll",   
		"id"		=>	 $shortname."_smooth_scroll",
		"desc"		=>	 "Use the nice scroll plugin to scroll the body smoothly?",   
		"std"		=>	 "false",   
		),

	array(
		"type"		=>	 "close",   
		),

	array(
		"type"		=>	 "endtab",   
		),

	array(
		"type"		=>	 "newtab",   
		),

	array(
		"type"		=>	 "title",   
		"name"		=>	 "Typographie",   
		),

	array(
		"type"		=>	 "open",   
		),

	array(
		"type"		=>	 "font",   
		"name"		=>	 "Text - Font",   
		"id"		=>	 $shortname."_Body_font",
		"desc"		=>	 "The Font for the H1 Tag",   
		"std"		=>	 "Noto Sans:regular",   
		),

	array(
		"type"		=>	 "fontsize",   
		"name"		=>	 "Fontsize",   
		"id"		=>	 $shortname."_Body_fontsize",
		"desc"		=>	 "The Fontsize for the H1 Tag",   
		"filter"		=>	 "number",   
		"std"		=>	 "13",   
		),

	array(
		"type"		=>	 "fontcolor",   
		"name"		=>	 "Fontcolor",   
		"id"		=>	 $shortname."_Body_fontcolor",
		"desc"		=>	 "The Fontcolor for the H1 Tag",   
		"std"		=>	 "#858585",   
		),

	array(
		"type"		=>	 "text-color",   
		"name"		=>	 "Link Color",   
		"id"		=>	 $shortname."_Body_acolor",
		"desc"		=>	 "The Linkcolor for the Body Section",   
		"std"		=>	 "#FF823D",   
		),

	array(
		"type"		=>	 "text-color",   
		"name"		=>	 "Link Color Hover",   
		"id"		=>	 $shortname."_Body_ahcolor",
		"desc"		=>	 "The Linkcolor Mouseover for the Body Section",   
		"std"		=>	 "#CC6831",   
		),

	array(
		"type"		=>	 "text-color",   
		"name"		=>	 "Link Color Visited",   
		"id"		=>	 $shortname."_Body_avcolor",
		"desc"		=>	 "The Linkcolor for visited Links",   
		),

	array(
		"type"		=>	 "checkbox",   
		"name"		=>	 "Link Underline",   
		"id"		=>	 $shortname."_Body_adecoration",
		"desc"		=>	 "Decorate the Links in the Body Section with a Underline",   
		"std"		=>	 "false",   
		),

	array(
		"type"		=>	 "font",   
		"name"		=>	 "H1 Font",   
		"id"		=>	 $shortname."_Body_h1_font",
		"desc"		=>	 "The Font for the H1 Tag",   
		"std"		=>	 "Ruda:regular",   
		),

	array(
		"type"		=>	 "fontsize",   
		"name"		=>	 "H1 Fontsize",   
		"id"		=>	 $shortname."_Body_h1_fontsize",
		"desc"		=>	 "The Fontsize for the H1 Tag",   
		"filter"		=>	 "number",   
		"std"		=>	 "35",   
		),

	array(
		"type"		=>	 "fontcolor",   
		"name"		=>	 "H1 Fontcolor",   
		"id"		=>	 $shortname."_Body_h1_fontcolor",
		"desc"		=>	 "The Fontcolor for the H1 Tag",   
		"std"		=>	 "#3C3C3C",   
		),

	array(
		"type"		=>	 "font",   
		"name"		=>	 "H2 Font",   
		"id"		=>	 $shortname."_Body_h2_font",
		"desc"		=>	 "The Font for the H2 Tag",   
		"std"		=>	 "Ruda:regular",   
		),

	array(
		"type"		=>	 "fontsize",   
		"name"		=>	 "H2 Fontsize",   
		"id"		=>	 $shortname."_Body_h2_fontsize",
		"desc"		=>	 "The Fontsize for the H2 Tag",   
		"filter"		=>	 "number",   
		"std"		=>	 "30",   
		),

	array(
		"type"		=>	 "fontcolor",   
		"name"		=>	 "H2 Fontcolor",   
		"id"		=>	 $shortname."_Body_h2_fontcolor",
		"desc"		=>	 "The Fontcolor for the H2 Tag",   
		"std"		=>	 "#3C3C3C",   
		),

	array(
		"type"		=>	 "font",   
		"name"		=>	 "H3 Font",   
		"id"		=>	 $shortname."_Body_h3_font",
		"desc"		=>	 "The Font for the H3 Tag",   
		"std"		=>	 "Ruda:regular",   
		),

	array(
		"type"		=>	 "fontsize",   
		"name"		=>	 "H3 Fontsize",   
		"id"		=>	 $shortname."_Body_h3_fontsize",
		"desc"		=>	 "The Fontsize for the H3 Tag",   
		"filter"		=>	 "number",   
		"std"		=>	 "25",   
		),

	array(
		"type"		=>	 "fontcolor",   
		"name"		=>	 "H3 Fontcolor",   
		"id"		=>	 $shortname."_Body_h3_fontcolor",
		"desc"		=>	 "The Fontcolor for the H1 Tag",   
		"std"		=>	 "#3C3C3C",   
		),

	array(
		"type"		=>	 "font",   
		"name"		=>	 "H4 Font",   
		"id"		=>	 $shortname."_Body_h4_font",
		"desc"		=>	 "The Font for the H4 Tag",   
		"std"		=>	 "Ruda:regular",   
		),

	array(
		"type"		=>	 "fontsize",   
		"name"		=>	 "H4 Fontsize",   
		"id"		=>	 $shortname."_Body_h4_fontsize",
		"desc"		=>	 "The Fontsize for the H4 Tag",   
		"filter"		=>	 "number",   
		"std"		=>	 "18",   
		),

	array(
		"type"		=>	 "fontcolor",   
		"name"		=>	 "H4 Fontcolor",   
		"id"		=>	 $shortname."_Body_h4_fontcolor",
		"desc"		=>	 "The Fontcolor for the H4 Tag",   
		"std"		=>	 "#000",   
		),

	array(
		"type"		=>	 "font",   
		"name"		=>	 "H5 Font",   
		"id"		=>	 $shortname."_Body_h5_font",
		"desc"		=>	 "The Font for the H5 Tag",   
		"std"		=>	 "Ruda:regular",   
		),

	array(
		"type"		=>	 "fontsize",   
		"name"		=>	 "H5 Fontsize",   
		"id"		=>	 $shortname."_Body_h5_fontsize",
		"desc"		=>	 "The Fontsize for the H5 Tag",   
		"filter"		=>	 "number",   
		"std"		=>	 "16",   
		),

	array(
		"type"		=>	 "fontcolor",   
		"name"		=>	 "H5 Fontcolor",   
		"id"		=>	 $shortname."_Body_h5_fontcolor",
		"desc"		=>	 "The Fontcolor for the H5 Tag",   
		"std"		=>	 "#000",   
		),

	array(
		"type"		=>	 "font",   
		"name"		=>	 "H6 Font",   
		"id"		=>	 $shortname."_Body_h6_font",
		"desc"		=>	 "The Font for the H6 Tag",   
		"std"		=>	 "Ruda:regular",   
		),

	array(
		"type"		=>	 "fontsize",   
		"name"		=>	 "H6 Fontsize",   
		"id"		=>	 $shortname."_Body_h6_fontsize",
		"desc"		=>	 "The Fontsize for the H6 Tag",   
		"filter"		=>	 "number",   
		"std"		=>	 "15",   
		),

	array(
		"type"		=>	 "fontcolor",   
		"name"		=>	 "H6 Fontcolor",   
		"id"		=>	 $shortname."_Body_h6_fontcolor",
		"desc"		=>	 "The Fontcolor for the H6 Tag",   
		"std"		=>	 "#000",   
		),

	array(
		"type"		=>	 "close",   
		),

	array(
		"type"		=>	 "endtab",   
		),

	array(
		"type"		=>	 "newvtab",   
		"name"		=>	 "Overhead Section",   
		),

	array(
		"type"		=>	 "newtab",   
		),

	array(
		"type"		=>	 "title",   
		"name"		=>	 "Overhead Section",   
		),

	array(
		"type"		=>	 "open",   
		),

	array(
		"type"		=>	 "checkbox",   
		"name"		=>	 "Show?",   
		"id"		=>	 $shortname."_show_overheader",
		"desc"		=>	 "Show this Section?",   
		"std"		=>	 "false",   
		),

	array(
		"type"		=>	 "text-color",   
		"name"		=>	 "Backgroundcolor ",   
		"id"		=>	 $shortname."_overhead_bgcolor",
		"desc"		=>	 "Set the Background Color for this Section",   
		"std"		=>	 "#292929",   
		),

	array(
		"type"		=>	 "background",   
		"name"		=>	 "Background Image",   
		"id"		=>	 $shortname."_overhead_bgimage",
		"desc"		=>	 "The Background Image for this Section",   
		),

	array(
		"type"		=>	 "background-x",   
		"name"		=>	 "Background Horizontal",   
		"id"		=>	 $shortname."_overhead_bgimage_x",
		"desc"		=>	 "Horizontal align for this Section Background Image",   
		"std"		=>	 "top",   
		),

	array(
		"type"		=>	 "background-y",   
		"name"		=>	 "Background Vertical",   
		"id"		=>	 $shortname."_overhead_bgimage_y",
		"desc"		=>	 "The Vertical algin for this Section Background Image",   
		"std"		=>	 "left",   
		),

	array(
		"type"		=>	 "background-repeat",   
		"name"		=>	 "Background Repeat",   
		"id"		=>	 $shortname."_overhead_bgimage_repeat",
		"desc"		=>	 "The Repeat for this Section Background Image",   
		),

	array(
		"type"		=>	 "background-fix",   
		"name"		=>	 "Background Fix",   
		"id"		=>	 $shortname."_overhead_bgimage_fix",
		"desc"		=>	 "The Repeat for this Section Background Image",   
		),

	array(
		"type"		=>	 "text-color",   
		"name"		=>	 "Color",   
		"id"		=>	 $shortname."_overhead_color",
		"desc"		=>	 "Set the Color for this Section",   
		"std"		=>	 "#FFFFFF",   
		),

	array(
		"type"		=>	 "textarea",   
		"name"		=>	 "Content",   
		"id"		=>	 $shortname."_overhead_content",
		"desc"		=>	 "The Content for this Section. You can also use Shortcodes",   
		"std"		=>	 "[icon name=\'icon-phone\'] Call us now: 335 - 232 122 592",   
		),

	array(
		"type"		=>	 "close",   
		),

	array(
		"type"		=>	 "endtab",   
		),

	array(
		"type"		=>	 "newvtab",   
		"name"		=>	 "Headline Section",   
		),

	array(
		"type"		=>	 "newtab",   
		),

	array(
		"type"		=>	 "title",   
		"name"		=>	 "Headline Section",   
		),

	array(
		"type"		=>	 "open",   
		),

	array(
		"type"		=>	 "font",   
		"name"		=>	 "H1 Font",   
		"id"		=>	 $shortname."_hl_h1_font",
		"desc"		=>	 "The Font for the H1 Tag",   
		),

	array(
		"type"		=>	 "fontsize",   
		"name"		=>	 "H1 Fontsize",   
		"id"		=>	 $shortname."_hl_h1_fontsize",
		"desc"		=>	 "The Fontsize for the H1 Tag",   
		"filter"		=>	 "number",   
		"std"		=>	 "50",   
		),

	array(
		"type"		=>	 "fontcolor",   
		"name"		=>	 "H1 Fontcolor",   
		"id"		=>	 $shortname."_hl_h1_fontcolor",
		"desc"		=>	 "The Fontcolor for the H1 Tag",   
		"std"		=>	 "#333333",   
		),

	array(
		"type"		=>	 "font",   
		"name"		=>	 "H2Font",   
		"id"		=>	 $shortname."_hl_h2_font",
		"desc"		=>	 "The Font for the H2 Tag",   
		),

	array(
		"type"		=>	 "fontsize",   
		"name"		=>	 "H2 Fontsize",   
		"id"		=>	 $shortname."_hl_h2_fontsize",
		"desc"		=>	 "The Fontsize for the H2 Tag",   
		"filter"		=>	 "number",   
		"std"		=>	 "18",   
		),

	array(
		"type"		=>	 "fontcolor",   
		"name"		=>	 "H2 Fontcolor",   
		"id"		=>	 $shortname."_hl_h2_fontcolor",
		"desc"		=>	 "The Fontcolor for the H2 Tag",   
		"std"		=>	 "#666666",   
		),

	array(
		"type"		=>	 "close",   
		),

	array(
		"type"		=>	 "endtab",   
		),

	array(
		"type"		=>	 "newvtab",   
		"name"		=>	 "Header",   
		),

	array(
		"type"		=>	 "newtab",   
		),

	array(
		"type"		=>	 "title",   
		"name"		=>	 "Header Section",   
		),

	array(
		"type"		=>	 "open",   
		),

	array(
		"type"		=>	 "text-color",   
		"name"		=>	 "Backgroundcolor ",   
		"id"		=>	 $shortname."_Navigation_bgcolor",
		"desc"		=>	 "Set the Background Color for the Header Section",   
		"std"		=>	 "#292929",   
		),

	array(
		"type"		=>	 "text-color",   
		"name"		=>	 "Space color",   
		"id"		=>	 $shortname."_Navigation_spacecolor",
		"desc"		=>	 "The color for the spaces between menu entries",   
		"cssgoal"		=>	 "ul#menu ul.sub-menu",   
		"csskey"		=>	 "background",   
		),

	array(
		"type"		=>	 "background",   
		"name"		=>	 "Background Image",   
		"id"		=>	 $shortname."_Navigation_bgimage",
		"desc"		=>	 "The Header Section Background Image",   
		),

	array(
		"type"		=>	 "background-x",   
		"name"		=>	 "Background Horizontal",   
		"id"		=>	 $shortname."_Navigation_bgimage_x",
		"desc"		=>	 "Horizontal align for the Header Section Background Image",   
		"std"		=>	 "top",   
		),

	array(
		"type"		=>	 "background-y",   
		"name"		=>	 "Background Vertical",   
		"id"		=>	 $shortname."_Navigation_bgimage_y",
		"desc"		=>	 "The Vertical algin for the Header Section Background Image",   
		"std"		=>	 "left",   
		),

	array(
		"type"		=>	 "background-repeat",   
		"name"		=>	 "Background Repeat",   
		"id"		=>	 $shortname."_Navigation_bgimage_repeat",
		"desc"		=>	 "The Repeat for the Header Section Background Image",   
		),

	array(
		"type"		=>	 "background-fix",   
		"name"		=>	 "Background Fix",   
		"id"		=>	 $shortname."_Navigation_bgimage_fix",
		"desc"		=>	 "The Repeat for the Header Section Background Image",   
		),

	array(
		"type"		=>	 "textarea",   
		"name"		=>	 "Info",   
		"id"		=>	 $shortname."_header_info",
		"desc"		=>	 "Infotext in header",   
		"std"		=>	 "[icon name=\'icon-phone\'] Call us: 123 332 192",   
		),

	array(
		"type"		=>	 "text",   
		"name"		=>	 "Map link",   
		"id"		=>	 $shortname."_map_link",
		"desc"		=>	 "Link to a page with map header",   
		"std"		=>	 "",   
		),

	array(
		"type"		=>	 "text-color",   
		"name"		=>	 "Map Link Background",   
		"id"		=>	 $shortname."_map_link_bg",
		"desc"		=>	 "Background color for this link",   
		"std"		=>	 "#FF823D",   
		"cssgoal"		=>	 ".header_map_link",   
		"csskey"		=>	 "background-color",   
		),

	array(
		"type"		=>	 "text-color",   
		"name"		=>	 "Map Link Color",   
		"id"		=>	 $shortname."_map_link_color",
		"desc"		=>	 "The color for this link",   
		"std"		=>	 "#FFFFFF",   
		"cssgoal"		=>	 ".header_map_link i:before",   
		"csskey"		=>	 "color",   
		),

	array(
		"type"		=>	 "text",   
		"name"		=>	 "Contact Link",   
		"id"		=>	 $shortname."_contact_link",
		"desc"		=>	 "Link to your contact page",   
		"std"		=>	 "",   
		),

	array(
		"type"		=>	 "text-color",   
		"name"		=>	 "Contact Link Background",   
		"id"		=>	 $shortname."_contact_link_bg",
		"desc"		=>	 "Background color for this link",   
		"std"		=>	 "#38BDFF",   
		"cssgoal"		=>	 ".header_contact_link",   
		"csskey"		=>	 "background-color",   
		),

	array(
		"type"		=>	 "text-color",   
		"name"		=>	 "Contact Link Color",   
		"id"		=>	 $shortname."_contact_link_color",
		"desc"		=>	 "The color for this link",   
		"std"		=>	 "#FFFFFF",   
		"cssgoal"		=>	 ".header_contact_link i:before",   
		"csskey"		=>	 "color",   
		),

	array(
		"type"		=>	 "close",   
		),

	array(
		"type"		=>	 "endtab",   
		),

	array(
		"type"		=>	 "newtab",   
		),

	array(
		"type"		=>	 "title",   
		"name"		=>	 "Navigation",   
		),

	array(
		"type"		=>	 "open",   
		),

	array(
		"type"		=>	 "text-color",   
		"name"		=>	 "Background menu",   
		"id"		=>	 $shortname."_menu_bgcol",
		"desc"		=>	 "The background color for the navigation",   
		"std"		=>	 "#202020",   
		"cssgoal"		=>	 "header #menu, body.has_slider header #menu:hover",   
		"csskey"		=>	 "background",   
		),

	array(
		"type"		=>	 "font",   
		"name"		=>	 "Text - Font",   
		"id"		=>	 $shortname."_menu_font",
		"desc"		=>	 "The Font for the Menu",   
		),

	array(
		"type"		=>	 "fontsize",   
		"name"		=>	 "Fontsize",   
		"id"		=>	 $shortname."_menu_fontsize",
		"desc"		=>	 "The Fontsize for the Menu",   
		"filter"		=>	 "number",   
		"std"		=>	 "13",   
		),

	array(
		"type"		=>	 "fontcolor",   
		"name"		=>	 "Fontcolor",   
		"id"		=>	 $shortname."_menu_acolor",
		"desc"		=>	 "The Fontcolor for the Menu",   
		"std"		=>	 "#FFFFFF",   
		),

	array(
		"type"		=>	 "text-color",   
		"name"		=>	 "Link Mouseover Topnavigation",   
		"id"		=>	 $shortname."_menu_ahcolor",
		"desc"		=>	 "Set the Background Color",   
		"std"		=>	 "#FFFFFF",   
		),

	array(
		"type"		=>	 "text-color",   
		"name"		=>	 "Background Mouseover Topnavigation",   
		"id"		=>	 $shortname."_menu_topbghcolor",
		"desc"		=>	 "Set the Background Color",   
		"std"		=>	 "#FF823D",   
		),

	array(
		"type"		=>	 "font",   
		"name"		=>	 "Submenu Text - Font",   
		"id"		=>	 $shortname."_submenu_font",
		"desc"		=>	 "The Font for the Submenu",   
		),

	array(
		"type"		=>	 "fontsize",   
		"name"		=>	 "Submenu Fontsize",   
		"id"		=>	 $shortname."_menu_sub_fontsize",
		"desc"		=>	 "The Fontsize for the Submenu",   
		"filter"		=>	 "number",   
		"std"		=>	 "12",   
		),

	array(
		"type"		=>	 "fontcolor",   
		"name"		=>	 "Submenu Fontcolor",   
		"id"		=>	 $shortname."_menu_asubcolor",
		"desc"		=>	 "The Fontcolor for the Submenu",   
		"std"		=>	 "#fff",   
		),

	array(
		"type"		=>	 "text",   
		"name"		=>	 "Height Submenu Element",   
		"id"		=>	 $shortname."_menu_line_height",
		"desc"		=>	 "Set the Height for each Submenu - Element in Pixel",   
		"filter"		=>	 "number",   
		"std"		=>	 "20",   
		),

	array(
		"type"		=>	 "text-color",   
		"name"		=>	 "Backgroundcolor Subnavigation",   
		"id"		=>	 $shortname."_menu_bgsubcolor",
		"desc"		=>	 "Set the Background Color",   
		"std"		=>	 "#FF823D",   
		),

	array(
		"type"		=>	 "text-color",   
		"name"		=>	 "Backgroundcolor Mouseover Subnavigation",   
		"id"		=>	 $shortname."_menu_bghsubcolor",
		"desc"		=>	 "Set the Background Color",   
		),

	array(
		"type"		=>	 "text-color",   
		"name"		=>	 "Linkcolor Mouseover Subnavigation",   
		"id"		=>	 $shortname."_menu_ahsubcolor",
		"desc"		=>	 "Set the Background Color",   
		),

	array(
		"type"		=>	 "close",   
		),

	array(
		"type"		=>	 "endtab",   
		),

	array(
		"type"		=>	 "newvtab",   
		"name"		=>	 "Main Section",   
		),

	array(
		"type"		=>	 "newtab",   
		),

	array(
		"type"		=>	 "title",   
		"name"		=>	 "Main section",   
		),

	array(
		"type"		=>	 "open",   
		),

	array(
		"type"		=>	 "text-color",   
		"name"		=>	 "Backgroundcolor ",   
		"id"		=>	 $shortname."_Main_bgcolor",
		"desc"		=>	 "Set the Background Color for the Main Section",   
		"std"		=>	 "#f1f1f1",   
		"cssgoal"		=>	 "Main",   
		"csskey"		=>	 "background-color",   
		),

	array(
		"type"		=>	 "background",   
		"name"		=>	 "Background Image",   
		"id"		=>	 $shortname."_Main_bgimage",
		"desc"		=>	 "The Main Section Background Image",   
		"std"		=>	 "../../images/bg/bg_noise_2.jpg",   
		),

	array(
		"type"		=>	 "background-x",   
		"name"		=>	 "Background Horizontal",   
		"id"		=>	 $shortname."_Main_bgimage_x",
		"desc"		=>	 "Horizontal align for the Main Section Background Image",   
		"std"		=>	 "top",   
		),

	array(
		"type"		=>	 "background-y",   
		"name"		=>	 "Background Vertical",   
		"id"		=>	 $shortname."_Main_bgimage_y",
		"desc"		=>	 "The Vertical algin for the Main Section Background Image",   
		"std"		=>	 "left",   
		),

	array(
		"type"		=>	 "background-repeat",   
		"name"		=>	 "Background Repeat",   
		"id"		=>	 $shortname."_Main_bgimage_repeat",
		"desc"		=>	 "The Repeat for the Main Section Background Image",   
		),

	array(
		"type"		=>	 "background-fix",   
		"name"		=>	 "Background Fix",   
		"id"		=>	 $shortname."_Main_bgimage_fix",
		"desc"		=>	 "The Repeat for the Main Section Background Image",   
		),

	array(
		"type"		=>	 "close",   
		),

	array(
		"type"		=>	 "endtab",   
		),

	array(
		"type"		=>	 "newtab",   
		),

	array(
		"type"		=>	 "title",   
		"name"		=>	 "Typographie",   
		),

	array(
		"type"		=>	 "open",   
		),

	array(
		"type"		=>	 "font",   
		"name"		=>	 "Text - Font",   
		"id"		=>	 $shortname."_Main_font",
		"desc"		=>	 "The Font for the H1 Tag",   
		),

	array(
		"type"		=>	 "fontsize",   
		"name"		=>	 "Fontsize",   
		"id"		=>	 $shortname."_Main_fontsize",
		"desc"		=>	 "The Fontsize for the H1 Tag",   
		"filter"		=>	 "number",   
		),

	array(
		"type"		=>	 "fontcolor",   
		"name"		=>	 "Fontcolor",   
		"id"		=>	 $shortname."_Main_fontcolor",
		"desc"		=>	 "The Fontcolor for the H1 Tag",   
		"std"		=>	 "#2B2B2B",   
		),

	array(
		"type"		=>	 "text-color",   
		"name"		=>	 "Link Color",   
		"id"		=>	 $shortname."_Main_acolor",
		"desc"		=>	 "The Linkcolor for the Main Section",   
		),

	array(
		"type"		=>	 "text-color",   
		"name"		=>	 "Link Color Hover",   
		"id"		=>	 $shortname."_Main_ahcolor",
		"desc"		=>	 "The Linkcolor Mouseover for the Main Section",   
		),

	array(
		"type"		=>	 "text-color",   
		"name"		=>	 "Link Color Visited",   
		"id"		=>	 $shortname."_Main_avcolor",
		"desc"		=>	 "The Linkcolor for visited Links",   
		),

	array(
		"type"		=>	 "checkbox",   
		"name"		=>	 "Link Underline",   
		"id"		=>	 $shortname."_Main_adecoration",
		"desc"		=>	 "Decorate the Links in the Main Section with a Underline",   
		"std"		=>	 "false",   
		),

	array(
		"type"		=>	 "font",   
		"name"		=>	 "H1 Font",   
		"id"		=>	 $shortname."_Main_h1_font",
		"desc"		=>	 "The Font for the H1 Tag",   
		),

	array(
		"type"		=>	 "fontsize",   
		"name"		=>	 "H1 Fontsize",   
		"id"		=>	 $shortname."_Main_h1_fontsize",
		"desc"		=>	 "The Fontsize for the H1 Tag",   
		"filter"		=>	 "number",   
		),

	array(
		"type"		=>	 "fontcolor",   
		"name"		=>	 "H1 Fontcolor",   
		"id"		=>	 $shortname."_Main_h1_fontcolor",
		"desc"		=>	 "The Fontcolor for the H1 Tag",   
		),

	array(
		"type"		=>	 "font",   
		"name"		=>	 "H2 Font",   
		"id"		=>	 $shortname."_Main_h2_font",
		"desc"		=>	 "The Font for the H2 Tag",   
		),

	array(
		"type"		=>	 "fontsize",   
		"name"		=>	 "H2 Fontsize",   
		"id"		=>	 $shortname."_Main_h2_fontsize",
		"desc"		=>	 "The Fontsize for the H2 Tag",   
		"filter"		=>	 "number",   
		),

	array(
		"type"		=>	 "fontcolor",   
		"name"		=>	 "H2 Fontcolor",   
		"id"		=>	 $shortname."_Main_h2_fontcolor",
		"desc"		=>	 "The Fontcolor for the H2 Tag",   
		),

	array(
		"type"		=>	 "font",   
		"name"		=>	 "H3 Font",   
		"id"		=>	 $shortname."_Main_h3_font",
		"desc"		=>	 "The Font for the H3 Tag",   
		),

	array(
		"type"		=>	 "fontsize",   
		"name"		=>	 "H3 Fontsize",   
		"id"		=>	 $shortname."_Main_h3_fontsize",
		"desc"		=>	 "The Fontsize for the H3 Tag",   
		"filter"		=>	 "number",   
		),

	array(
		"type"		=>	 "fontcolor",   
		"name"		=>	 "H3 Fontcolor",   
		"id"		=>	 $shortname."_Main_h3_fontcolor",
		"desc"		=>	 "The Fontcolor for the H1 Tag",   
		),

	array(
		"type"		=>	 "font",   
		"name"		=>	 "H4 Font",   
		"id"		=>	 $shortname."_Main_h4_font",
		"desc"		=>	 "The Font for the H4 Tag",   
		),

	array(
		"type"		=>	 "fontsize",   
		"name"		=>	 "H4 Fontsize",   
		"id"		=>	 $shortname."_Main_h4_fontsize",
		"desc"		=>	 "The Fontsize for the H4 Tag",   
		"filter"		=>	 "number",   
		),

	array(
		"type"		=>	 "fontcolor",   
		"name"		=>	 "H4 Fontcolor",   
		"id"		=>	 $shortname."_Main_h4_fontcolor",
		"desc"		=>	 "The Fontcolor for the H4 Tag",   
		),

	array(
		"type"		=>	 "font",   
		"name"		=>	 "H5 Font",   
		"id"		=>	 $shortname."_Main_h5_font",
		"desc"		=>	 "The Font for the H5 Tag",   
		),

	array(
		"type"		=>	 "fontsize",   
		"name"		=>	 "H5 Fontsize",   
		"id"		=>	 $shortname."_Main_h5_fontsize",
		"desc"		=>	 "The Fontsize for the H5 Tag",   
		"filter"		=>	 "number",   
		),

	array(
		"type"		=>	 "fontcolor",   
		"name"		=>	 "H5 Fontcolor",   
		"id"		=>	 $shortname."_Main_h5_fontcolor",
		"desc"		=>	 "The Fontcolor for the H5 Tag",   
		),

	array(
		"type"		=>	 "font",   
		"name"		=>	 "H6 Font",   
		"id"		=>	 $shortname."_Main_h6_font",
		"desc"		=>	 "The Font for the H6 Tag",   
		),

	array(
		"type"		=>	 "fontsize",   
		"name"		=>	 "H6 Fontsize",   
		"id"		=>	 $shortname."_Main_h6_fontsize",
		"desc"		=>	 "The Fontsize for the H6 Tag",   
		"filter"		=>	 "number",   
		),

	array(
		"type"		=>	 "fontcolor",   
		"name"		=>	 "H6 Fontcolor",   
		"id"		=>	 $shortname."_Main_h6_fontcolor",
		"desc"		=>	 "The Fontcolor for the H6 Tag",   
		),

	array(
		"type"		=>	 "text-color",   
		"name"		=>	 "Widgettitle Sidebar Fontcolor",   
		"id"		=>	 $shortname."_sidebar_fontcolor",
		"desc"		=>	 "The Fontcolor for Widgettitle in the Sidebar",   
		"std"		=>	 "#454545",   
		"cssgoal"		=>	 ".sidebar h3.widget-title",   
		"csskey"		=>	 "color",   
		),

	array(
		"type"		=>	 "text-color",   
		"name"		=>	 "Widgettitle Sidebar Background",   
		"id"		=>	 $shortname."_sidebar_bgcolor",
		"desc"		=>	 "The backgroundcolor for the Widgettitle in the Sidebar",   
		"cssgoal"		=>	 ".sidebar h3.widget-title",   
		"csskey"		=>	 "background-color",   
		),

	array(
		"type"		=>	 "text-color",   
		"name"		=>	 "Widget links background",   
		"id"		=>	 $shortname."_sidebar_linkbgcolor",
		"desc"		=>	 "The backgroundcolor for links in widgets",   
		"cssgoal"		=>	 ".right ul.sisters li a, ul.sisters li a, ul.menu li a, .right ul li a, .sidebar .tagcloud a, .left ul.sisters li a,  .left ul li a, .sidebar li.recentcomments",   
		"csskey"		=>	 "background-color",   
		),

	array(
		"type"		=>	 "text-color",   
		"name"		=>	 "Widget links color",   
		"id"		=>	 $shortname."_sidebar_linkcolor",
		"desc"		=>	 "Color for links in widgets",   
		"cssgoal"		=>	 ".right ul.sisters li a, ul.sisters li a, ul.menu li a, .right ul li a, .sidebar .tagcloud a, .left ul.sisters li a,   .left ul li a, .sidebar li.recentcomments",   
		"csskey"		=>	 "color",   
		),

	array(
		"type"		=>	 "close",   
		),

	array(
		"type"		=>	 "endtab",   
		),

	array(
		"type"		=>	 "newvtab",   
		"name"		=>	 "Footer Section",   
		),

	array(
		"type"		=>	 "newtab",   
		),

	array(
		"type"		=>	 "title",   
		"name"		=>	 " Footer Section",   
		),

	array(
		"type"		=>	 "open",   
		),

	array(
		"type"		=>	 "checkbox",   
		"name"		=>	 "Show?",   
		"id"		=>	 $shortname."_show_footer",
		"desc"		=>	 "Show this Section?",   
		"std"		=>	 "true",   
		),

	array(
		"type"		=>	 "text-color",   
		"name"		=>	 "Backgroundcolor ",   
		"id"		=>	 $shortname."_Footer_bgcolor",
		"desc"		=>	 "Set the Background Color for the Footer Section",   
		"std"		=>	 "#3C3C3C",   
		),

	array(
		"type"		=>	 "background",   
		"name"		=>	 "Background Image",   
		"id"		=>	 $shortname."_Footer_bgimage",
		"desc"		=>	 "The Footer Section Background Image",   
		"std"		=>	 "../../images/bg/bg_noise_3.png",   
		),

	array(
		"type"		=>	 "background-x",   
		"name"		=>	 "Background Horizontal",   
		"id"		=>	 $shortname."_Footer_bgimage_x",
		"desc"		=>	 "Horizontal align for the Footer Section Background Image",   
		"std"		=>	 "top",   
		),

	array(
		"type"		=>	 "background-y",   
		"name"		=>	 "Background Vertical",   
		"id"		=>	 $shortname."_Footer_bgimage_y",
		"desc"		=>	 "The Vertical algin for the Footer Section Background Image",   
		"std"		=>	 "left",   
		),

	array(
		"type"		=>	 "background-repeat",   
		"name"		=>	 "Background Repeat",   
		"id"		=>	 $shortname."_Footer_bgimage_repeat",
		"desc"		=>	 "The Repeat for the Footer Section Background Image",   
		),

	array(
		"type"		=>	 "background-fix",   
		"name"		=>	 "Background Fix",   
		"id"		=>	 $shortname."_Footer_bgimage_fix",
		"desc"		=>	 "The Repeat for the Body Section Background Image",   
		),

	array(
		"type"		=>	 "dropdown",   
		"name"		=>	 "Columns",   
		"id"		=>	 $shortname."_footer_template",
		"desc"		=>	 "Choose how many Columns you need in the Footer Area",   
		"filter"		=>	 "number",   
		"value"		=>	 array("1","2","3","4"),   
		"std"		=>	 "3",   
		),

	array(
		"type"		=>	 "close",   
		),

	array(
		"type"		=>	 "endtab",   
		),

	array(
		"type"		=>	 "newtab",   
		),

	array(
		"type"		=>	 "title",   
		"name"		=>	 "Typographie",   
		),

	array(
		"type"		=>	 "open",   
		),

	array(
		"type"		=>	 "font",   
		"name"		=>	 "Text - Font",   
		"id"		=>	 $shortname."_Footer_font",
		"desc"		=>	 "The Font for the H1 Tag",   
		),

	array(
		"type"		=>	 "fontsize",   
		"name"		=>	 "Fontsize",   
		"id"		=>	 $shortname."_Footer_fontsize",
		"desc"		=>	 "The Fontsize for the H1 Tag",   
		"filter"		=>	 "number",   
		),

	array(
		"type"		=>	 "fontcolor",   
		"name"		=>	 "Fontcolor",   
		"id"		=>	 $shortname."_Footer_fontcolor",
		"desc"		=>	 "The Fontcolor for the H1 Tag",   
		"std"		=>	 "#b1b1b1",   
		),

	array(
		"type"		=>	 "text-color",   
		"name"		=>	 "Link Color",   
		"id"		=>	 $shortname."_Footer_acolor",
		"desc"		=>	 "The Linkcolor for the Footer Section",   
		),

	array(
		"type"		=>	 "text-color",   
		"name"		=>	 "Link Color Hover",   
		"id"		=>	 $shortname."_Footer_ahcolor",
		"desc"		=>	 "The Linkcolor Mouseover for the Footer Section",   
		),

	array(
		"type"		=>	 "text-color",   
		"name"		=>	 "Link Color Visited",   
		"id"		=>	 $shortname."_Footer_avcolor",
		"desc"		=>	 "The Linkcolor for visited Links",   
		),

	array(
		"type"		=>	 "checkbox",   
		"name"		=>	 "Link Underline",   
		"id"		=>	 $shortname."_Footer_adecoration",
		"desc"		=>	 "Decorate the Links in the Footer Section with a Underline",   
		"std"		=>	 "false",   
		),

	array(
		"type"		=>	 "text-color",   
		"name"		=>	 "Widget Title Color",   
		"id"		=>	 $shortname."_Footer_titlecolor",
		"desc"		=>	 "The Textcolor for the Widgettitle",   
		"std"		=>	 "#FF823D",   
		),

	array(
		"type"		=>	 "text-color",   
		"name"		=>	 "Widget Title Background",   
		"id"		=>	 $shortname."_Footer_titlebg",
		"desc"		=>	 "The Backgroundcolor for the Widgettitle",   
		),

	array(
		"type"		=>	 "font",   
		"name"		=>	 "H2 Font",   
		"id"		=>	 $shortname."_Footer_h2_font",
		"desc"		=>	 "The Font for the H2 Tag",   
		),

	array(
		"type"		=>	 "fontsize",   
		"id"		=>	 $shortname."_Footer_h2_fontsize",
		"desc"		=>	 "The Fontsize for the H2 Tag",   
		"filter"		=>	 "number",   
		),

	array(
		"type"		=>	 "fontcolor",   
		"id"		=>	 $shortname."_Footer_h2_fontcolor",
		"desc"		=>	 "The Fontcolor for the H2 Tag",   
		),

	array(
		"type"		=>	 "font",   
		"name"		=>	 "H3 Font",   
		"id"		=>	 $shortname."_Footer_h3_font",
		"desc"		=>	 "The Font for the H3 Tag",   
		),

	array(
		"type"		=>	 "fontsize",   
		"id"		=>	 $shortname."_Footer_h3_fontsize",
		"desc"		=>	 "The Fontsize for the H3 Tag",   
		"filter"		=>	 "number",   
		"std"		=>	 "16",   
		),

	array(
		"type"		=>	 "fontcolor",   
		"id"		=>	 $shortname."_Footer_h3_fontcolor",
		"desc"		=>	 "The Fontcolor for the H3 Tag",   
		),

	array(
		"type"		=>	 "font",   
		"name"		=>	 "H4 Font",   
		"id"		=>	 $shortname."_Footer_h4_font",
		"desc"		=>	 "The Font for the H4 Tag",   
		),

	array(
		"type"		=>	 "fontsize",   
		"id"		=>	 $shortname."_Footer_h4_fontsize",
		"desc"		=>	 "The Fontsize for the H4 Tag",   
		"filter"		=>	 "number",   
		),

	array(
		"type"		=>	 "fontcolor",   
		"id"		=>	 $shortname."_Footer_h4_fontcolor",
		"desc"		=>	 "The Fontcolor for the H4 Tag",   
		),

	array(
		"type"		=>	 "font",   
		"name"		=>	 "H5 Font",   
		"id"		=>	 $shortname."_Footer_h5_font",
		"desc"		=>	 "The Font for the H5 Tag",   
		),

	array(
		"type"		=>	 "fontsize",   
		"name"		=>	 "H5 Fontsize",   
		"id"		=>	 $shortname."_Footer_h5_fontsize",
		"desc"		=>	 "The Fontsize for the H5 Tag",   
		"filter"		=>	 "number",   
		),

	array(
		"type"		=>	 "fontcolor",   
		"name"		=>	 "H5 Fontcolor",   
		"id"		=>	 $shortname."_Footer_h5_fontcolor",
		"desc"		=>	 "The Fontcolor for the H5 Tag",   
		),

	array(
		"type"		=>	 "font",   
		"name"		=>	 "H6 Font",   
		"id"		=>	 $shortname."_Footer_h6_font",
		"desc"		=>	 "The Font for the H6 Tag",   
		),

	array(
		"type"		=>	 "fontsize",   
		"name"		=>	 "H6 Fontsize",   
		"id"		=>	 $shortname."_Footer_h6_fontsize",
		"desc"		=>	 "The Fontsize for the H6 Tag",   
		"filter"		=>	 "number",   
		),

	array(
		"type"		=>	 "fontcolor",   
		"name"		=>	 "H6 Fontcolor",   
		"id"		=>	 $shortname."_Footer_h6_fontcolor",
		"desc"		=>	 "The Fontcolor for the H6 Tag",   
		),

	array(
		"type"		=>	 "text-color",   
		"name"		=>	 "Widget links background",   
		"id"		=>	 $shortname."_footerwidget_linkbgcolor",
		"desc"		=>	 "The backgroundcolor for links in widgets",   
		"cssgoal"		=>	 "#footer ul > li > a ",   
		"csskey"		=>	 "background-color",   
		),

	array(
		"type"		=>	 "text-color",   
		"name"		=>	 "Widget links color",   
		"id"		=>	 $shortname."_footerwidget_linkcolor",
		"desc"		=>	 "Color for links in widgets",   
		"cssgoal"		=>	 "#footer ul > li > a ",   
		"csskey"		=>	 "color",   
		),

	array(
		"type"		=>	 "close",   
		),

	array(
		"type"		=>	 "endtab",   
		),

	array(
		"type"		=>	 "newvtab",   
		"name"		=>	 "Second Footer Section",   
		),

	array(
		"type"		=>	 "newtab",   
		),

	array(
		"type"		=>	 "title",   
		"name"		=>	 "Second Footer Section",   
		),

	array(
		"type"		=>	 "open",   
		),

	array(
		"type"		=>	 "checkbox",   
		"name"		=>	 "Show?",   
		"id"		=>	 $shortname."_show_secondfooter",
		"desc"		=>	 "Show this Section?",   
		"std"		=>	 "true",   
		),

	array(
		"type"		=>	 "text-color",   
		"name"		=>	 "Backgroundcolor ",   
		"id"		=>	 $shortname."_secondfooter_bgcolor",
		"desc"		=>	 "Set the Background Color for this Section",   
		"std"		=>	 "#0E0E0E",   
		),

	array(
		"type"		=>	 "background",   
		"name"		=>	 "Background Image",   
		"id"		=>	 $shortname."_secondfooter_bgimage",
		"desc"		=>	 "The Background Image for this Section",   
		),

	array(
		"type"		=>	 "background-x",   
		"name"		=>	 "Background Horizontal",   
		"id"		=>	 $shortname."_secondfooter_bgimage_x",
		"desc"		=>	 "Horizontal align for this Section Background Image",   
		"std"		=>	 "top",   
		),

	array(
		"type"		=>	 "background-y",   
		"name"		=>	 "Background Vertical",   
		"id"		=>	 $shortname."_secondfooter_bgimage_y",
		"desc"		=>	 "The Vertical algin for this Section Background Image",   
		"std"		=>	 "left",   
		),

	array(
		"type"		=>	 "background-repeat",   
		"name"		=>	 "Background Repeat",   
		"id"		=>	 $shortname."_secondfooter_bgimage_repeat",
		"desc"		=>	 "The Repeat for this Section Background Image",   
		),

	array(
		"type"		=>	 "background-fix",   
		"name"		=>	 "Background Fix",   
		"id"		=>	 $shortname."_secondfooter_bgimage_fix",
		"desc"		=>	 "The Repeat for this Section Background Image",   
		),

	array(
		"type"		=>	 "text-color",   
		"name"		=>	 "Color",   
		"id"		=>	 $shortname."_secondfooter_color",
		"desc"		=>	 "Set the Color for this Section",   
		"std"		=>	 "#EBEBEB",   
		),

	array(
		"type"		=>	 "textarea",   
		"name"		=>	 "Content",   
		"id"		=>	 $shortname."_secondfooter_content",
		"desc"		=>	 "The Content for this Section. You can also use Shortcodes",   
		"filter"		=>	 "html",   
		"std"		=>	 "Copyright by Your Company",   
		),

	array(
		"type"		=>	 "close",   
		),

	array(
		"type"		=>	 "endtab",   
		),

	array(
		"type"		=>	 "newvtab",   
		"name"		=>	 "Contact Page",   
		),

	array(
		"type"		=>	 "title",   
		"name"		=>	 "Contact Page",   
		),

	array(
		"type"		=>	 "open",   
		),

	array(
		"type"		=>	 "text",   
		"name"		=>	 "Contact Email",   
		"id"		=>	 $shortname."_contact_email",
		"desc"		=>	 "Please insert your Email for the contact form",   
		"filter"		=>	 "email",   
		),

	array(
		"type"		=>	 "close",   
		),

	array(
		"type"		=>	 "newvtab",   
		"name"		=>	 "Error 404 Page",   
		),

	array(
		"type"		=>	 "title",   
		"name"		=>	 "Error 404 Page",   
		),

	array(
		"type"		=>	 "open",   
		),

	array(
		"type"		=>	 "text",   
		"name"		=>	 "Error404 title",   
		"id"		=>	 $shortname."_error404_title",
		"desc"		=>	 "The Title for the Error 404 Page.",   
		"std"		=>	 "ERROR 404",   
		),

	array(
		"type"		=>	 "textarea",   
		"name"		=>	 "ERROR 404 Content",   
		"id"		=>	 $shortname."_error404_content",
		"desc"		=>	 "Here you can add your content for the Error 404 page.",   
		"std"		=>	 "The content you are searching for is not here. Please use our search function or go to the homepage.",   
		),

	array(
		"type"		=>	 "checkbox",   
		"name"		=>	 "Show Searchform?",   
		"id"		=>	 $shortname."_error404_search",
		"desc"		=>	 "Check this box if you would like to show the Searchform on the Error404 Page.",   
		"std"		=>	 "false",   
		),

	array(
		"type"		=>	 "template",   
		"name"		=>	 "Template",   
		"id"		=>	 $shortname."_error404_sidebar",
		"desc"		=>	 "Choose your Template / Sidebarpostitions for this Page.",   
		"std"		=>	 "page-sidebar-right",   
		),

	array(
		"type"		=>	 "sidebar-dropdown",   
		"name"		=>	 "Sidebar",   
		"id"		=>	 $shortname."_error404_sidebar1",
		"desc"		=>	 "Choose your Sidebar.",   
		),

	array(
		"type"		=>	 "close",   
		),

	array(
		"type"		=>	 "newvtab",   
		"name"		=>	 "Sidebars",   
		),

	array(
		"type"		=>	 "title",   
		"name"		=>	 "Sidebars",   
		),

	array(
		"type"		=>	 "open",   
		),

	array(
		"type"		=>	 "sidebar",   
		"name"		=>	 "The Name for a new Sidebar",   
		"id"		=>	 $shortname."_sidebars",
		"desc"		=>	 "Please choose a name for the new Sidebar",   
		),

	array(
		"type"		=>	 "close",   
		),

	array(
		"type"		=>	 "newvtab",   
		"name"		=>	 "Social Media",   
		),

	array(
		"type"		=>	 "title",   
		"name"		=>	 "Social Media",   
		),

	array(
		"type"		=>	 "open",   
		),

	array(
		"type"		=>	 "social",   
		"name"		=>	 "Social Media",   
		"id"		=>	 $shortname."_social_media",
		"desc"		=>	 "Choose your Social Links and the Icons",   
		"filter"		=>	 "html",     
		),

	array(
		"type"		=>	 "close",   
		),

	array(
		"type"		=>	 "newvtab",   
		"name"		=>	 "Cufon Fontreplace",   
		),

	array(
		"type"		=>	 "title",   
		"name"		=>	 "Cufon Replace",   
		),

	array(
		"type"		=>	 "open",   
		),

	array(
		"type"		=>	 "cufon",   
		"name"		=>	 "",   
		"id"		=>	 $shortname."_cufon",
		),

	array(
		"type"		=>	 "",   
		"name"		=>	 "",   
		"id"		=>	 $shortname."_cufon_h1",
		),

	array(
		"type"		=>	 "",   
		"name"		=>	 "",   
		"id"		=>	 $shortname."_cufon_h2",
		),

	array(
		"type"		=>	 "",   
		"name"		=>	 "",   
		"id"		=>	 $shortname."_cufon_h3",
		),

	array(
		"type"		=>	 "close",   
		),

	array(
		"type"		=>	 "newvtab",   
		"name"		=>	 "Real Estate Options",   
		),

	array(
		"type"		=>	 "title",   
		"name"		=>	 "Real Estate Options",   
		),

	array(
		"type"		=>	 "open",   
		),

	array(
		"type"		=>	 "template",   
		"name"		=>	 "Taxonomy Kind Template",   
		"id"		=>	 $shortname."_estate_tax_kind",
		"desc"		=>	 "The template for the 'kind' taxonomy",   
		"std"		=>	 "page-sidebar-no-sidebar",   
		),

	array(
		"type"		=>	 "sidebar-dropdown",   
		"name"		=>	 "Taxonomy Kind Sidebar",   
		"id"		=>	 $shortname."_estate_tax_kind_sidebar",
		"desc"		=>	 "The sidebar for the 'kind' taxonomy",   
		"std"		=>	 "sidebar-2",   
		),

	array(
		"type"		=>	 "text",   
		"name"		=>	 "Taxonomy Kind Columns",   
		"id"		=>	 $shortname."_estate_tax_kind_cols",
		"desc"		=>	 "The columns for the 'kind' taxonomy",   
		"std"		=>	 "3",   
		),

	array(
		"type"		=>	 "template",   
		"name"		=>	 "Taxonomy Type Template",   
		"id"		=>	 $shortname."_estate_tax_type",
		"desc"		=>	 "The template for the this taxonomy",   
		"std"		=>	 "page-sidebar-no-sidebar",   
		),

	array(
		"type"		=>	 "sidebar-dropdown",   
		"name"		=>	 "Taxonomy Type Sidebar",   
		"id"		=>	 $shortname."_estate_tax_type_sidebar",
		"desc"		=>	 "The sidebar for the this taxonomy",   
		"std"		=>	 "sidebar-2",   
		),

	array(
		"type"		=>	 "text",   
		"name"		=>	 "Taxonomy Type Columns",   
		"id"		=>	 $shortname."_estate_tax_type_cols",
		"desc"		=>	 "The columns for the this taxonomy",   
		"std"		=>	 "3",   
		),

	array(
		"type"		=>	 "template",   
		"name"		=>	 "Taxonomy City Template",   
		"id"		=>	 $shortname."_estate_tax_city",
		"desc"		=>	 "The template for the this taxonomy",   
		"std"		=>	 "page-sidebar-no-sidebar",   
		),

	array(
		"type"		=>	 "sidebar-dropdown",   
		"name"		=>	 "Taxonomy City Sidebar",   
		"id"		=>	 $shortname."_estate_tax_city_sidebar",
		"desc"		=>	 "The sidebar for the this taxonomy",   
		"std"		=>	 "sidebar-2",   
		),

	array(
		"type"		=>	 "text",   
		"name"		=>	 "Taxonomy City Columns",   
		"id"		=>	 $shortname."_estate_tax_city_cols",
		"desc"		=>	 "The columns for the this taxonomy",   
		"std"		=>	 "3",   
		),

	array(
		"type"		=>	 "template",   
		"name"		=>	 "Taxonomy Country Template",   
		"id"		=>	 $shortname."_estate_tax_country",
		"desc"		=>	 "The template for the this taxonomy",   
		"std"		=>	 "page-sidebar-no-sidebar",   
		),

	array(
		"type"		=>	 "sidebar-dropdown",   
		"name"		=>	 "Taxonomy Country Sidebar",   
		"id"		=>	 $shortname."_estate_tax_country_sidebar",
		"desc"		=>	 "The sidebar for the this taxonomy",   
		"std"		=>	 "sidebar-2",   
		),

	array(
		"type"		=>	 "text",   
		"name"		=>	 "Taxonomy Country Columns",   
		"id"		=>	 $shortname."_estate_tax_country_cols",
		"desc"		=>	 "The columns for the this taxonomy",   
		"std"		=>	 "3",   
		),

	array(
		"type"		=>	 "template",   
		"name"		=>	 "Taxonomy Feature Template",   
		"id"		=>	 $shortname."_estate_tax_feature",
		"desc"		=>	 "The template for the this taxonomy",   
		"std"		=>	 "page-sidebar-no-sidebar",   
		),

	array(
		"type"		=>	 "sidebar-dropdown",   
		"name"		=>	 "Taxonomy Feature Sidebar",   
		"id"		=>	 $shortname."_estate_tax_feature_sidebar",
		"desc"		=>	 "The sidebar for the this taxonomy",   
		"std"		=>	 "sidebar-2",   
		),

	array(
		"type"		=>	 "text",   
		"name"		=>	 "Taxonomy Feature Columns",   
		"id"		=>	 $shortname."_estate_tax_feature_cols",
		"desc"		=>	 "The columns for the this taxonomy",   
		"std"		=>	 "3",   
		),

	array(
		"type"		=>	 "template",   
		"name"		=>	 "Search Template",   
		"id"		=>	 $shortname."_estate_search",
		"desc"		=>	 "The template for the the search template",   
		"std"		=>	 "page-sidebar-no-sidebar",   
		),

	array(
		"type"		=>	 "sidebar-dropdown",   
		"name"		=>	 "Search Sidebar",   
		"id"		=>	 $shortname."_estate_search_sidebar",
		"desc"		=>	 "The sidebar for the the search template",   
		"std"		=>	 "sidebar-2",   
		),

	array(
		"type"		=>	 "text",   
		"name"		=>	 "Search Columns",   
		"id"		=>	 $shortname."_estate_search_cols",
		"desc"		=>	 "The columns for the the search template",   
		"std"		=>	 "3",   
		),

	array(
		"type"		=>	 "close",   
		),

); 





















 
	$used_fonts=array();
	foreach ($options as $value) 
		{
		if($value['type']=="font") 
			{
			$narr=get_option($value['id']);
			if(($narr!="") AND ($used_fonts!=""))
				{
				if(!in_array($narr, $used_fonts))
					{
					$used_fonts[]=$narr;
					}
				}
			}
		}
	if($used_fonts)
		{
		sort($used_fonts);
		}














