<?php get_header(); 
 ?>	
<!-- single-team.php / TEAM SINLGE TEMPLATE-->
<?php if (have_posts()) : ?>
<?php while (have_posts()) : the_post(); 
		      	  $custom = get_post_custom($post->ID);  
		      	  $teamFacebook = $custom["teamFacebook"][0];    
		      	  $teamTwitter = $custom["teamTwitter"][0];   
	      		  $teamFlickr = $custom["teamFlickr"][0];   
	      		  $teamYoutube = $custom["teamYoutube"][0];   
	      		  $teamDribbble = $custom["teamDribbble"][0]; 
			  $phone=$custom["teamPhone"][0];
			  $fax=$custom["teamFax"][0];
			  $email=$custom["teamEmail"][0];
?>
<div id="<?php echo the_template(); ?>" <?php post_class(); ?>>
	<div id="content" class="equal_height single_team">
		<?php if(is_single()) { ?> 
		<?php } else { ?>
			<h3 class="single-heading"><?php the_title(); ?></h3>
		<?php } ?>
		<?php 
			 if ( has_post_thumbnail()) 
				{
				$large_image_url = wp_get_attachment_image_src( get_post_thumbnail_id(), 'default');
				?>
				<div class="index-item-img"><img src="<?php echo $large_image_url[0]; ?>" alt=""  /></div>
				<?php
				}
				?>
		<div class="single_team_contact_container">
			<p class="team_single_contacts"><strong><?php _e('Contacts','sevenleague'); ?></strong></p>
			<?php
			if($phone)
				{
				echo "<p class='single_team_phone contact_details phone contact_fon'><span>$phone</span></p>";
				}
			if($fax)
				{
				echo "<p class='single_team_fax contact_details fax contact_fax'><span>$fax</span></p>";
				}
			if($email)
				{
				echo "<p class='single_team_email contact_details email contact_email'><span>$email</span></p>";
				}
			if(get_the_term_list( get_the_ID(), 'team-position', "", "" )!="")
				{
				?><div class='team_position_container'><?php
				echo "<span>".get_the_term_list( get_the_ID(), 'team-position', "", ", " )."</span>";
				?></div><?php
				}	
			echo "<div class='team_social_container'>";
				if($teamFacebook) { echo "<a target='_blank' class='team_sociallinks facebook' href='$teamFacebook'><span>"._e('Find me!','sevenleague')."</span></a>"; }
				if($teamTwitter) { echo "<a target='_blank' class='team_sociallinks twitter' href='$teamTwitter'>"._e('Follow me!','sevenleague')."</a>"; }
				if($teamFlickr) { echo "<a target='_blank' class='team_sociallinks flickr' href='$teamFlickr'>"._e('Discover me!','sevenleague')."</a>"; }
				if($teamYoutube) { echo "<a target='_blank' class='team_sociallinks youtube' href='$teamYoutube'>"._e('Watch me!','sevenleague')."</a>"; }
				if($teamDribbble) { echo "<a target='_blank' class='team_sociallinks dribbble' href='$teamDribbble'>"._e('See my works!','sevenleague')."</a>"; }
			echo "</div>";
			?>
		</div>
		<div class="post-content">
			<?php the_content(); ?>
			<div class="clear"></div>
		</div>
 		<?php the_adminbar(); ?>
		<div class="wp_link_pages"><?php wp_link_pages('before=<p>&after=</p>&next_or_number=number&pagelink=Page %'); ?></div>
	</div><!-- content -->
<?php endwhile; ?>
<?php endif; ?>	
<!-- end single.php -->	
<?php if(the_template()!="page-sidebar-no-sidebar") { ?>
<div class="sidebar equal_height"> 
	<div id="sidebar-body">
		<?php load_sidebar( '1','sidebar-1' ); ?>
	</div>
</div>
<div class="clear"></div>
<?php } ?>
</div>
<?php get_footer(); ?>