<?php
// SCRIPTCALLER - ADD THE SCRIPTS  
global $post, $options, $fonts, $gfonts, $shortname, $cufon_fonts;

 ////////////////////
//////////////////// FRAMEWORK REQUIRED STYLES AND SCRIPT HOOKS
////////////////////




add_action('wp_head', 'sevenleague_call_cufon'); 
add_action('wp_head', 'sevenleague_call_custom_scripts'); 
add_action('wp_head', 'sevenleague_call_webfonts'); 
add_action('wp_head', 'sevenleague_call_custom_styles'); 




// CUFON FONTS

function sevenleague_call_cufon()
	{ 
	global $cufon_fonts;
	if($cufon_fonts!="")
		{
		foreach((array)$cufon_fonts as $font => $data) 
			{
			echo "<script type='text/javascript' src='".$data['file_url']."'></script>";
			}
		} 
	$return='<script type="text/javascript">';
	if(load_option("cufon_h1")!="") { $return.= "Cufon.replace('h1', {fontFamily: \"".stripslashes(load_option("cufon_h1"))."\"}); ";  } 
	if(load_option("cufon_h2")!="") { $return.= "Cufon.replace('h2', {fontFamily: \"".stripslashes(load_option("cufon_h2"))."\"}); ";  } 
	if(load_option("cufon_h3")!="") { $return.= "Cufon.replace('h3', {fontFamily: \"".stripslashes(load_option("cufon_h3"))."\"}); "; } 
	$return.='</script>';
	echo $return."\n"; 
	}



// GOOGLE WEBMASTER TOOLS 

function sevenleague_call_custom_scripts()
	{ 
	if(load_option("google_webmaster"))
		{
		echo stripslashes(load_option("google_webmaster")."\n");
		} 
	} 


// GOOGLE WEBFONTS

function sevenleague_call_webfonts()
	{	
	global $options, $gfonts;
	foreach ($options as $value) 
		{
		if($value['type']=="font")	
			{
			$tarr=get_option($value['id']);
			if($tarr!="")
				{
				$arr[]=$tarr;
				}
			}
		}
	$used_fonts="";
	$arr=array_values(array_unique($arr)); 
	for($i=0;$i<count($arr); $i++)
		{
		if(in_array($arr[$i],$gfonts))
			{
			$arr[$i]=ucwords($arr[$i]);
			if($arr[$i]!="") { $my_font=str_replace(" ","+",$arr[$i]); $used_fonts.=$my_font."|"; }
			}
	
		}
	if(isset($used_fonts))
		{
		if($used_fonts!="") 
			{ 
			echo "<link rel='stylesheet' href='http://fonts.googleapis.com/css?family=".$used_fonts."' />\n";
			}
		}
	}


// CUSTOM STYLES

function sevenleague_call_custom_styles()
	{
	$cbg=get_post_custom_values('cbg');
	$bgcolor=get_post_custom_values("bgcolor");
	$cx=get_post_custom_values("cx");
	$cy=get_post_custom_values("cy");
	$crep=get_post_custom_values("crep");
	$cfix=get_post_custom_values("cfix"); 
	$return="";
	if($bgcolor)
		{
		$return.='#cbackground {background-color:'.$bgcolor[0].'}';	
		} 
	if($cbg[0])
		{
		$return.='#cbackground {background:url('.$cbg[0].') '.$cx[0].' '.$cy[0].' '.$crep[0];
		if($cfix[0]=="on") 
			{ 
			$return.= " fixed";
			}
		$return.='}';
	}
	if($return!="")
		{
		$ret="<style type='text/css'>";
		$ret.=$return;
		$ret.='</style>';
		echo $ret;
		} 
	}

 


add_action('init', 'sevenleague_call_scripts'); 
add_action('init', 'sevenleague_call_styles'); 



function sevenleague_call_scripts()
	{
	global $post;
	wp_register_script( 'jqueryNivo', get_template_directory_uri().'/script/jquery.nivo.js','','',TRUE);
	wp_register_script( 'jqueryCycle', get_template_directory_uri().'/script/jquery.cycle.js' ,'','',TRUE);
	wp_register_script( 'jqueryTransform', get_template_directory_uri().'/script/jquery-transform.js','','',TRUE );
	wp_register_script( 'jqueryCss', get_template_directory_uri().'/script/jquery-css.js','','',TRUE );
	wp_register_script( 'icon', get_template_directory_uri().'/script/jquery.icon.js','','',TRUE );
	wp_register_script( 'cufon', get_template_directory_uri().'/script/cufon.js' ,'','',TRUE);
	wp_register_script( 'mobilemenu', get_template_directory_uri().'/script/jquery.mobilemenu.js' ,'','',TRUE);
	wp_register_script( 'jqueryCaroufredsel', get_template_directory_uri().'/script/jquery.caroufredsel.js','','',TRUE );
	wp_register_script( 'countdown', get_template_directory_uri().'/script/jquery.countdown.js','','',TRUE );
	wp_register_script( 'adipoli', get_template_directory_uri().'/script/jquery.adipoli.min.js' ,'','',TRUE);
	wp_register_script( 'mouse', get_template_directory_uri().'/script/mouse.js' ,'','',TRUE); 
	wp_register_script( 'scrollbar', get_template_directory_uri().'/script/jquery.scrollbar.js','','',TRUE ); 
	wp_register_script( 'function', get_template_directory_uri().'/script/function.js','','',TRUE );
	wp_register_script( 'Custom', get_template_directory_uri().'/7league/script/custom.js.php','','',TRUE );
	wp_register_script( 'Prettyphoto', get_template_directory_uri().'/script/jquery.prettyPhoto.js' ,'','',TRUE); 
	wp_register_script( 'Superfish', get_template_directory_uri().'/script/superfish.js' ,'','',TRUE); 
	wp_register_script( 'Easing', get_template_directory_uri().'/script/jquery.easing.min.js' ,'','',TRUE); 
	wp_register_script( 'jqueryForm', get_template_directory_uri().'/script/jquery.form.js' ,'','',TRUE); 
	wp_register_script( 'jqueryWI', get_template_directory_uri().'/script/jquery.waitforimages.min.js','','',TRUE );     
	wp_register_script( 'slabtext', get_template_directory_uri().'/script/jquery.slabtext.min.js' ,'','',TRUE);   
	wp_register_script( 'wookmark', get_template_directory_uri().'/script/jquery.wookmark.js' ,'','',TRUE);   
	wp_register_script( 'iconmenu', get_template_directory_uri().'/script/jquery.icon.js','','',TRUE );   
	wp_register_script( 'flex', get_template_directory_uri().'/script/jquery.flexslider-min.js','','',TRUE );   
	wp_register_script( 'mobile', get_template_directory_uri().'/script/mobile.js','','',TRUE );   
	wp_register_script( 'hoverdir', get_template_directory_uri().'/script/jquery.hoverdir.js','','',TRUE );   
	wp_register_script( 'modernizr', get_template_directory_uri().'/script/modernizr.custom.js','','',TRUE );   
	wp_register_script( 'nicescroll', get_template_directory_uri().'/script/jquery.nicescroll.js','','',TRUE );   
 
	wp_register_script( 'kin', get_template_directory_uri().'/script/jquery.kinetic.js','','',TRUE );    
	wp_register_script( 'smooth', get_template_directory_uri().'/script/jquery.smooth.js','','',TRUE );    
  

	wp_enqueue_script( 'jquery','','','',true ); 
	wp_enqueue_script( 'modernizr' );
	wp_enqueue_script('jquery-ui-core');
	wp_enqueue_script('jquery-ui-draggable');
	wp_enqueue_script('jquery-ui-tabs');
	wp_enqueue_script('jquery-ui-accordion');
	wp_enqueue_script('jquery-ui-sortable');
	wp_enqueue_script('jquery-ui-selectable');
	wp_enqueue_script('jquery-ui-dialog');
	wp_enqueue_script('jquery-ui-datepicker');
	wp_enqueue_script('jquery-ui-widget');
	wp_enqueue_script( 'Easing' ); 
	wp_enqueue_script( 'jqueryNivo' );
	wp_enqueue_script( 'jqueryCycle' );
	wp_enqueue_script( 'Superfish' );
	wp_enqueue_script( 'Prettyphoto' );
	wp_enqueue_script( 'jqueryForm' );
	wp_enqueue_script( 'jqueryCaroufredsel' ); 
	wp_enqueue_script( 'cufon' ); 
	wp_enqueue_script( 'adipoli' );
	wp_enqueue_script( 'easing' ); 
	wp_enqueue_script( 'mouse' ); 
	wp_enqueue_script( 'scrollbar' );
	wp_enqueue_script( 'jqueryWI');
	wp_enqueue_script( 'slabtext' );
	wp_enqueue_script( 'wookmark' );
	wp_enqueue_script( 'iconmenu' );
	wp_enqueue_script( 'flex' );
	wp_enqueue_script( 'mobile' );
	wp_enqueue_script( 'hoverdir' ); 
 

	wp_enqueue_script( 'kin' );
	wp_enqueue_script( 'smooth' );
	if(!is_admin())
		{
		wp_enqueue_script( 'nicescroll' );
		wp_enqueue_script( 'function' );
		wp_enqueue_script( 'Custom' );  
		}
	
	} 

// FRONTEND STYLES

function sevenleague_call_styles()
	{
	if(!is_admin())
		{
		wp_enqueue_style('theme-css', get_stylesheet_directory_uri() . '/style.css', false); 
		wp_enqueue_style('font-awesome', get_template_directory_uri() . '/font-awesome.css', false); 
		wp_enqueue_style('custom-css', get_template_directory_uri() . '/7league/css/customcss.php', false);  
		}
	}






