<?php


if ( function_exists( 'add_theme_support' ) ) 
	{ 
	global $sevenleague_img_sizes;
	add_theme_support( 'post-thumbnails' );
	set_post_thumbnail_size( 280, 210, true ); // Normal post thumbnails
	
	foreach($sevenleague_img_sizes as $size)
		{
		if(isset($size['name']))
			{
			$size = shortcode_atts(array(
				'name' 	=>	'unset',
				'width'	=>	'',
				'height'	=>	'',	
				'crop'	=>	''			
				), $size);
			add_image_size($size['name'], $size['width'], $size['height'], $size['crop']);
			}
		}
	}  



function sevenleague_show_image_sizes($sizes) {
	global $sevenleague_img_sizes; 
	foreach($sevenleague_img_sizes as $size)
		{
		$name=$size['name'];
		$sizes[$name]=$name;
		}  
    	return $sizes;
	}
add_filter('image_size_names_choose', 'sevenleague_show_image_sizes');





function sevenleague_image_url($postid, $size)
	{
	$image_id = get_post_thumbnail_id($postid);
	$image_url = wp_get_attachmend_image_src($image_id, $size);
	return $image_url[0];
	}








function img_original_url($pid)
	{	
	$image_id = get_post_thumbnail_id($pid); 	
	$image_url = wp_get_attachment_image_src($image_id,'original'); 
	return  $image_url[0];  
	}
function img_mini_url($pid)
	{	
	$image_id = get_post_thumbnail_id($pid); 	
	$image_url = wp_get_attachment_image_src($image_id,'mini'); 
	return  $image_url[0];  
	}
function img_default_url($pid)
	{	
	$image_id = get_post_thumbnail_id($pid); 	
	$image_url = wp_get_attachment_image_src($image_id,'default'); 
	return  $image_url[0];  
	}
function img_icon_url($pid)
	{	
	$image_id = get_post_thumbnail_id($pid); 	
	$image_url = wp_get_attachment_image_src($image_id,'icon'); 
	return  $image_url[0];  
	}
function img_main_url($pid)
	{	
	$image_id = get_post_thumbnail_id($pid); 	
	$image_url = wp_get_attachment_image_src($image_id,'screen-shot'); 
	return  $image_url[0];  
	}
function img_slider_url($pid)
	{	
	$image_id = get_post_thumbnail_id($pid); 	
	$image_url = wp_get_attachment_image_src($image_id,'slider'); 
	return  $image_url[0];  
	}
function img_gallery_url($pid)
	{	
	$image_id = get_post_thumbnail_id($pid); 	
	$image_url = wp_get_attachment_image_src($image_id,'gallery'); 
	return  $image_url[0];  
	}
function img_panorama_url($pid)
	{	
	$image_id = get_post_thumbnail_id($pid); 	
	$image_url = wp_get_attachment_image_src($image_id,'panorama'); 
	return  $image_url[0];  
	}
function img_slideshow_url($pid)
	{	
	$image_id = get_post_thumbnail_id($pid); 	
	$image_url = wp_get_attachment_image_src($image_id,'slideshow'); 
	return  $image_url[0];  
	}
function img_screenshot_url($pid)
	{	
	$image_id = get_post_thumbnail_id($pid); 	
	$image_url = wp_get_attachment_image_src($image_id,'screen-shot'); 
	return  $image_url[0];  
	}
function img_full_url($pid)
	{	
	$image_id = get_post_thumbnail_id($pid); 	
	$image_url = wp_get_attachment_image_src($image_id,'full'); 
	return  $image_url[0];  
	}
function img_portfolio_url($pid)
	{	
	$image_id = get_post_thumbnail_id($pid); 	
	$image_url = wp_get_attachment_image_src($image_id,'portfolio'); 
	return  $image_url[0];  
	}
function img_masonry_url($pid)
	{	
	$image_id = get_post_thumbnail_id($pid); 	
	$image_url = wp_get_attachment_image_src($image_id,'masonry'); 
	return  $image_url[0];  
	}
function img_thumbnail_url($pid)
	{	
	$image_id = get_post_thumbnail_id($pid); 	
	$image_url = wp_get_attachment_image_src($image_id,'thumbnail'); 
	return  $image_url[0];  
	}