<?php


$ethemes=array("default"=>"Default","slideshow"=>"Slideshow","tabs"=>"Tabs", "accordion"=>"Accordion","tabs"=>"Tabs","minigal"=>"Mini gallery");
$elabels=array("sold"=>"Sold","reduced"=>"Reduced","offer"=>"Offer","lastminute"=>"Last Minute","bargain"=>"bargain");

function estate_register() 
	{  
    	$args = array(  
        	'label' => 'Object',  
        	'singular_label' => 'estate',  
        	'public' => true,  
        	'show_ui' => true,  
        	'capability_type' => 'post', 
	'has_archive' => true,
        	'hierarchical' => true,  
        	'rewrite' => true,
        	'supports' => array('title', 'editor', 'thumbnail','post-types','author' ,'page-attributes') ,
		'show_in_menu' => true  ,
		 'menu_position' => null,
       	);  
    	register_post_type( 'estate' , $args );  
	}  
	add_action('init', 'estate_register');  


/* FOR TEAM POSITIONS, FOR EXAMPLE: CEO, COO, SERVICE, ... */

register_taxonomy("estatetype", array("estate"), array("hierarchical" => true, "label" => "Estate type", "singular_label" => "Estate type", "rewrite" => true));
register_taxonomy("estatefeature", array("estate"), array("hierarchical" => true, "label" => "Estate features", "singular_label" => "Estate features", "rewrite" => true));
register_taxonomy("estatecountry", array("estate"), array("hierarchical" => true, "label" => "Countrys", "singular_label" => "Countrys", "rewrite" => true));
register_taxonomy("estatecity", array("estate"), array("hierarchical" => true, "label" => "City", "singular_label" => "City", "rewrite" => true));
register_taxonomy("estatekind", array("estate"), array("hierarchical" => true, "label" => "Kind", "singular_label" => "Kind", "rewrite" => true));

/* ADD CSS TO ADMIN */

function myposttype_admin_css($hook_suffix) 
	{
	echo  "<link type='text/css' rel='stylesheet' href='".get_template_directory_uri()."/css/jquery-ui.css' />";
	}
	add_action('admin_enqueue_scripts', 'myposttype_admin_css');


/*
// ADD THE PREVIEW IMAGE TO THE ADMIN POST VIEW
add_filter('manage_estate_columns', 're_columns', 5);
add_action('manage_estate_custom_column', 're_custom_columns', 5, 2);
function re_columns($defaults)
	{
    	$defaults['re_thumbs'] = "Image";
    	return $defaults;
	}

function re_custom_columns($column_name, $id)
	{
	if($column_name === 're_thumbs')
		{
        		echo the_post_thumbnail('icon');
    		}
	}
*/


// ADD THE PRICE TO THE ADMIN POST VIEW
add_filter('manage_estate_posts_columns', 'posts_columns_re', 5);
add_action('manage_estate_posts_custom_column', 'posts_custom_columns_re', 5, 2);
function posts_columns_re($defaults)
	{
    	$defaults['post_price'] = "Price";
    	return $defaults;
	}


function posts_custom_columns_re($column_name, $id)
	{
	if($column_name === 'post_price')
		{
        		$eprice= get_post_custom_values("eprice", $id);
		if($eprice[0]!="")
			{
			echo number_format($eprice[0],0,".",",");
			}
			else 
				{
				echo " - ";
				}
    		}
	}




function list_agents($ids)
	{
	?><div id="oagent"> 
		<h3><?php _e('Agents','sevenleague'); ?></h3>
	<?php 
	for($i=0;$i<count($ids); $i++)
		{
		$user_info = get_userdata($ids[$i]); 
		if($user_info)
			{
	 		$first_name = $user_info->user_firstname;
			$last_name = $user_info->user_lastname;
			$email=$user_info->user_email;		
			}
		$link=get_author_posts_url($ids[$i]);
		$phone=get_the_author_meta('phone',$ids[$i]);
		$mobile=get_the_author_meta('mobile',$ids[$i]);

		$img=get_the_author_meta('image',$ids[$i]);
		if(!$img)
			{
			$img=get_bloginfo("template_url")."/images/noImageMedium.jpg";
			}
		?><div class='object_single_agent_entry'>
			<div class='object_single_agent'>
				<?php if($img)
					{
					?><a href='<?php echo $link; ?>'><img src='<?php echo $img ?>' alt='<?php if(isset($first_name)) {echo $first_name; } ?> <?php if(isset($last_name)) { echo $last_name; } ?>' width="80" height="80" /></a><?php
					}
					?>
			</div>
			<h4><a href='<?php echo $link; ?>'><?php if(isset($first_name)) {echo $first_name; } ?> <?php if(isset($last_name)) { echo $last_name; } ?></a></h4>
			<p><i class='icon-phone'></i><?php echo $phone; ?></p>
			<p><i class='icon-mobile-phone'></i><?php echo $mobile; ?></p> 
			<div class='clear'></div>
		</div>
		<?php
		}  
		?>
		</div><!-- oagent --><?php 
	}


function my_custom_rss() 
	{ 
	echo '<link rel="alternate" type="application/rss+xml" title="New Objects Feed" href="http://localhost/immo/?feed=rss2&amp;post_type=estate">';
	}
	add_action('wp_head', 'my_custom_rss');





/*
function my_custom_rss() 
	{ 
	global $post;
	if(is_archive())
		{
		$pt=get_post_type();
		if(get_post_type()=="estate")
			{
$value    = get_query_var($wp_query->query_vars['estatecountry']);
$ctax= get_term_by('slug',$value,$wp_query->query_vars['estatecountry']);
$c=wp_get_post_terms(); 

			echo '<link rel="alternate" type="application/rss+xml" title="Immo Theme Feed" href="http://localhost/immo/?feed=rss2&post_type=estate&estatecity=avola&'. $ctax.'">';
			}	
		}
	}

add_action('wp_head', 'my_custom_rss');
*/




if (!current_user_can('administrator'))
	{
	show_admin_bar(false);
	}



add_filter('login_url', 'logout_redirect_url', 10, 2);

add_filter('logout_url', 'logout_redirect_url', 10, 2);

function logout_redirect_url( $logouturl ) 
	{
	return $logouturl . '&amp;redirect_to=' . urlencode( get_option( 'siteurl' ) );
	}
 
 


function logout_redirect() 
	{ 
	if( isset($_GET['loggedout'])  AND $_GET['loggedout'] == 'true' ) 
		{
 		wp_redirect( get_option( 'siteurl' ) );
		exit;
		}
	}
	add_action( 'init', 'logout_redirect' );




add_action("admin_init", "estate_meta_box"); 

function estate_meta_box()
	{  
	add_meta_box("estate-meta", "Object Details", "estate_meta_options", "estate", "advanced", "core");  
	}   

function estate_meta_options()
	{  
	global $post, $ethemes, $elabels;  
        	if ( defined('DOING_AUTOSAVE') && DOING_AUTOSAVE ) return $post_id;
	        	$custom = get_post_custom($post->ID);  
		$emapx="0";
		$emapy="0";
		$emapz="10";		
		if(isset($custom["etheme"][0]))
			{
	        		$etheme = $custom["etheme"][0];
			}

  		if(isset($custom["eadress"][0]))
			{ 
	        		$eadress = $custom["eadress"][0];   
			}

  		if(isset($custom["ezip"][0]))
			{ 
	        		$ezip = $custom["ezip"][0];   
			}

  		if(isset($custom["eagent"][0]))
			{ 
			$eagent=$custom["eagent"][0];
			$eagent=explode(",",$eagent);
			}

  		if(isset($custom["elabel"][0]))
			{ 
			$elabel=$custom["elabel"][0];
			}
	  	if(isset($custom["efeatured"][0]))
			{ 
			$efeatured=$custom["efeatured"][0];
			}	
  		if(isset($custom["emapx"][0]))
			{ 
			$emapx=$custom["emapx"][0];
			}

  		if(isset($custom["emapy"][0]))
			{ 
			$emapy=$custom["emapy"][0];
			}

  		if(isset($custom["emapz"][0]))
			{ 
			$emapz=$custom["emapz"][0];
			}

  		if(isset($custom["eprice"][0]))
			{ 
			$eprice=$custom["eprice"][0];
			}

  		if(isset($custom["epricetype"][0]))
			{ 
			$epricetype=$custom["epricetype"][0];
			}

  		if(isset($custom["epricec"][0]))
			{ 
			$epricec=$custom["epricec"][0];
			}

  		if(isset($custom["ecommission"][0]))
			{ 
			$ecommission=$custom["ecommission"][0];
			}

  		if(isset($custom["edeposit"][0]))
			{ 
			$edeposit=$custom["edeposit"][0];
			}

  		if(isset($custom["oname"][0]))
			{ 
			$oname=$custom["oname"][0];
			}

  		if(isset($custom["oadress"][0]))
			{ 
			$oadress=$custom["oadress"][0];
			}
  		if(isset($custom["ocity"][0]))
			{ 
			$ocity=$custom["ocity"][0];
			}

  		if(isset($custom["ophone"][0]))
			{ 
			$ophone=$custom["ophone"][0];
			}

  		if(isset($custom["ofax"][0]))
			{ 
			$ofax=$custom["ofax"][0];
			}

  		if(isset($custom["omobile"][0]))
			{ 
			$omobile=$custom["omobile"][0];
			}

  		if(isset($custom["oemail"][0]))
			{ 
			$oemail=$custom["oemail"][0];
			}

  		if(isset($custom["owebsite"][0]))
			{ 
			$owebsite=$custom["owebsite"][0];
			}

  		if(isset($custom["onote"][0]))
			{ 
			$onote=$custom["onote"][0];
			}

  		if(isset($custom["ocommission"][0]))
			{ 
			$ocommission=$custom["ocommission"][0];
			}

  		if(isset($custom["omaxminus"][0]))
			{ 
			$omaxminus=$custom["omaxminus"][0];
			}

  		if(isset($custom["bathroom"][0]))
			{ 
			$bathroom=$custom["bathroom"][0];
			}

  		if(isset($custom["bedroom"][0]))
			{ 
			$bedroom=$custom["bedroom"][0];
			}

  		if(isset($custom["osize"][0]))
			{
			$osize=$custom["osize"][0];
			}

  		if(isset($custom["osizelot"][0]))
			{ 
			$osizelot=$custom["osizelot"][0];
			}

  		if(isset($custom["garage"][0]))
			{ 
			$garage=$custom["garage"][0];
			}

  		if(isset($custom["rooms"][0]))
			{ 
			$rooms=$custom["rooms"][0];
			}

  		if(isset($custom["floor"][0]))
			{ 
			$floor=$custom["floor"][0];
			}

  		if(isset($custom["built"][0]))
			{ 
			$built=$custom["built"][0];
			}

  		if(isset($custom["free"][0]))
			{ 
			$free=$custom["free"][0];
			}


		if(isset($emapy) AND $emapy=="")
			{
			$emapy="0";
			}
		if(isset($emapx) AND $emapx=="")
			{
			$emapx="0";
			}
		if(isset($emapz) AND $emapz=="")
			{
			$emapz="0";
			}
		$agents=array();
		query_posts(array( 'post_type' => 'team', 'paged' => get_query_var('paged'), 'posts_per_page'=>1111 ) ); 
		if (have_posts()) : while (have_posts()) : the_post();
			$agents[]=get_the_title();
			$agentsid[]=get_the_id();
		endwhile; 
		endif; 
		wp_reset_query();    
 
	?>  
	<div class="one_half">
		<h4><?php _e('Puplic Object Infos','sevenleague'); ?></h4>
		<label for="eadress"><?php _e('Adress:','sevenleague'); ?></label><input id="eadress" name="eadress" value="<?php if(isset($eadress)) { echo $eadress; } ?>" /><br /> 
		<label for="ezip"><?php _e('Postale Code:','sevenleague'); ?></label><input id="ezip" name="ezip" value="<?php if(isset($ezip)) { echo $ezip; } ?>" /><br /> 
		<label for="bedroom"><?php _e('Bedrooms:','sevenleague'); ?></label><input id="bedroom" name="bedroom" value="<?php if(isset($bedroom)) { echo $bedroom; } ?>" /><br /> 
		<label for="bathroom"><?php _e('Bathrooms:','sevenleague'); ?></label><input id="bathroom" name="bathroom" value="<?php if(isset($bathroom)) { echo $bathroom; } ?>" /><br /> 

		<label for="osize"><?php _e('Size:','sevenleague'); ?></label><input id="osize" name="osize" value="<?php if(isset($osize)) { echo $osize; } ?>" /><br /> 
		<label for="osizelot"><?php _e('Size lot:','sevenleague'); ?></label><input id="osizelot" name="osizelot" value="<?php if(isset($osizelot)) { echo $osizelot; } ?>" /><br /> 
		<label for="garage"><?php _e('Garages:','sevenleague'); ?></label><input id="garage" name="garage" value="<?php if(isset($garage)) { echo $garage; } ?>" /><br /> 
		<label for="rooms"><?php _e('Total rooms:','sevenleague'); ?></label><input id="rooms" name="rooms" value="<?php if(isset($rooms)) { echo $rooms; } ?>" /><br /> 
		<label for="floor"><?php _e('Floor:','sevenleague'); ?></label><input id="floor" name="floor" value="<?php if(isset($floor)) { echo $floor; } ?>" /><br /> 
		<label for="built"><?php _e('Building year:','sevenleague'); ?></label><input id="built" name="built" value="<?php if(isset($built)) { echo $built; } ?>" /><br /> 
		<label for="free"><?php _e('Available:','sevenleague'); ?></label><input id="free" name="free" class="datepicker" value="<?php if(isset($free)) { echo $free; } ?>" /><br /> 
<!--
		<label for="etheme">Template:</label> 
			<select id="etheme" name="etheme">
				<option></option>
				<?php
				foreach($ethemes as $key => $value)
					{
					echo "<option value=".$key;
					if($key==$etheme) 
						{
						echo " selected ";
						}
					echo ">$value</option>";
					}
				?>
			</select>
-->
		<input type="hidden" name="etheme" value="default" />
		<div class="clear"></div>
		<label for="eagent"><?php _e('Agent:','sevenleague'); ?></label> 
			<select multiple="multiple" name="eagent[]" id="eagents">
				<option></option>
				<?php 
				$users=get_users();
		//		if(isset($eagent) AND ($eagent!=""))
		//			{
					for($i=0;$i<count($users); $i++)
						{
						echo "<option value='".$users[$i]->ID."'";
						if(isset($eagent))
							{								
							if(in_array($users[$i]->ID,$eagent))
								{
								echo " selected ";
								}
							}
							echo ">".$users[$i]->display_name."</option>"; 
						}
		//			}
					?>
		
			</select>
		<div class="clear"></div>
		<label for="eprice"><?php _e('Price:','sevenleague'); ?> </label>
			<input type="text" name="eprice" id="eprice" value="<?php  if(isset($eprice)) { echo $eprice; } ?>" /> 
			<input type="text" name="epricec" id="epricec"  placeholder="Currency" value="<?php  if(isset($epricec)) { echo $epricec; } ?>" />
			<select name="epricetype" id="epricetype">
				<option value="" <?php if(isset($epricetype)) {  if($epricetype=="") { echo " selected "; } }?>><?php _e('Purchase price','sevenleague'); ?></option>
				<option value="monthly" <?php  if(isset($epricetype)) { if($epricetype=="monthly") { echo " selected "; } } ?>><?php _e('Monthly rent','sevenleague'); ?></option>
				<option value="yearly" <?php  if(isset($epricetype)) { if($epricetype=="yearly") { echo " selected "; } } ?>><?php _e('Yearly rent','sevenleague'); ?></option>
			</select>
		<label for="edeposit"><?php _e('Rent deposit:','sevenleague'); ?> </label>
			<input type="text" name="edeposit" id="edeposit" value="<?php  if(isset($edeposit)) { echo $edeposit; } ?>">
		<div class="clear"></div>
		<label for="ecommission"><?php _e('Commission:','sevenleague'); ?> </label>
			<input type="text" name="ecommission" id="ecommission" value="<?php  if(isset($ecommission)) { echo $ecommission; } ?>" />
		<div class="clear"></div>


		<label for="elabel"><?php _e('Label:','sevenleague'); ?> </label>
			<select id="elabel" name="elabel">
				<option></option>
				<?php
				foreach($elabels as $key => $value)
					{
					echo "<option value=".$key;
					if(isset($elabal))
						{
						if($key==$elabel) 
							{
							echo " selected ";
							}
						}
					echo ">$value</option>";
					}
				?>
			</select>
		<h4><?php _e('Google Maps position','sevenleague'); ?></h4>
		<script type="text/javascript" src="http://maps.google.com/maps/api/js?sensor=false"></script>
		<script type="text/javascript">
		var geocoder = new google.maps.Geocoder();
		function geocodePosition(pos) 
			{
		  	geocoder.geocode({
		    	latLng: pos
	  		});
			}
		function updateMarkerPosition(latLng) 
			{
			jQuery("#emapx").val(latLng.lat())
			jQuery("#emapy").val(latLng.lng())
			}
		function initialize() 
			{
		  	var latLng = new google.maps.LatLng(<?php echo $emapx; ?>,<?php echo $emapy; ?>);
		  	var map = new google.maps.Map(document.getElementById('map_canvas'), 
				{
		    		zoom: <?php echo $emapz; ?>,
		    		center: latLng,
		    		mapTypeId: google.maps.MapTypeId.ROADMAP
		  		});
		  	var marker = new google.maps.Marker(
				{
		    		position: latLng,
		    		title: 'Point A',
		    		map: map,
		    		draggable: true
		  		});
		  	updateMarkerPosition(latLng);
		  	google.maps.event.addListener(marker, 'drag', function() 
				{
		    		updateMarkerPosition(marker.getPosition());
		  		});
		  	google.maps.event.addListener(map, 'zoom_changed', function() 
				{ 
				jQuery("#emapz").val(map.getZoom());
		  		});
			}
		google.maps.event.addDomListener(window, 'load', initialize);
		</script>
   		<div id="map_canvas" style="width: 100%; height: 300px" ></div>
		<label for="emapx"><?php _e('Longitude:','sevenleague'); ?> </label><input id="emapx" type="text" name="emapx" value="<?php  if(isset($emapx)) { echo $emapx; } ?>" />
		<label for="emapy"><?php _e('Latitude:','sevenleague'); ?> </label><input id="emapy" type="text" name="emapy" value="<?php  if(isset($emapy)) { echo $emapy; } ?>" />
		<label for="emapz"><?php _e('Zoom:','sevenleague'); ?> </label><input id="emapz" type="text" name="emapz" value="<?php  if(isset($emapz)) { echo $emapz; } ?>" />
 
	</div>	
	<div class="one_half_last">
		<h4><?php _e('Agency Infos','sevenleague'); ?></h4>
		<label for="oname"><?php _e('Owner Name:','sevenleague'); ?></label> <input type="text" id="oname" name="oname" value="<?php  if(isset($oname)) { echo $oname; } ?>" /><div class="clear"></div>
		<label for="oadress"><?php _e('Owner Adress:','sevenleague'); ?></label> <input type="text" id="oadress" name="oadress" value="<?php  if(isset($oadress)) { echo $oadress; } ?>" /><div class="clear"></div>
		<label for="ocity"><?php _e('Owner City:','sevenleague'); ?></label> <input type="text" id="ocity" name="ocity" value="<?php  if(isset($ocity)) { echo $ocity; } ?>" /><div class="clear"></div>
		<label for="ophone"><?php _e('Owner Phone:','sevenleague'); ?></label> <input type="text" id="ophone" name="ophone" value="<?php  if(isset($ophone)) { echo $ophone; }  ?>" /><div class="clear"></div>
		<label for="ofax"><?php _e('Owner Fax:','sevenleague'); ?></label> <input type="text" id="ofax" name="ofax" value="<?php  if(isset($ofax)) { echo $ofax; } ?>" /><div class="clear"></div>
		<label for="omobile"><?php _e('Owner Mobile:','sevenleague'); ?></label> <input type="text" id="omobile" name="omobile" value="<?php  if(isset($omobile)) { echo $omobile; } ?>" /><div class="clear"></div>
		<label for="oemail"><?php _e('Owner Email:','sevenleague'); ?></label> <input type="text" id="oemail" name="oemail" value="<?php  if(isset($oemail)) { echo $oemail; } ?>" /><div class="clear"></div>
		<label for="owebsite"><?php _e('Owner Website:','sevenleague'); ?></label> <input type="text" id="owebsite" name="owebsite" value="<?php  if(isset($owebsite)) { echo $owebsite; } ?>" /><div class="clear"></div>
		<h4><?php _e('Payment','sevenleague'); ?></h4>
		<label for="ocommission"><?php _e('Commission:','sevenleague'); ?></label> <input type="text" id="ocommission" name="ocommission" value="<?php  if(isset($ocommission)) { echo $ocommission; } ?>" /><div class="clear"></div>
		<label for="omaxminus"><?php _e('Max. abatement:','sevenleague'); ?></label> <input type="text" id="omaxminus" name="omaxminus" value="<?php  if(isset($omaxminus)) { echo $omaxminus; }?>" /><div class="clear"></div>
 		<h4><?php _e('Miscellaneous','sevenleague'); ?></h4>

		<label for="onote"><?php _e('Note:','sevenleague'); ?></label><br />
			<textarea style="width:100%; min-height:50px" id="onote" name="onote"><?php  if(isset($onote)) { echo $onote; } ?></textarea>
		<label for="efeatured"><?php _e('Feature this Object','sevenleague'); ?></label> 
			<input type="checkbox" name="efeatured" <?php if(isset($efeatured) && $efeatured!="off") { echo " checked "; } ?> />
		 <div class="clear"></div>
	</div>
	<div class="clear"></div>

	<?php  
	}  
	add_action('save_post', 'save_estate_meta');  
function save_estate_meta()
	{  
	    global $post;  
	    if ( defined('DOING_AUTOSAVE') && DOING_AUTOSAVE )
		{ 
		return $post_id;
		}	
		else
			{ 
			if(isset($_POST['eagent']))
				{
				$eagent=$_POST['eagent'];
				if($_POST['eagent']!="")
					{ 
					if(is_array($_POST['eagent']))
						{
						$eagent=implode(",",$_POST['eagent']); 				  
						}
					}
				}
		if(isset($_POST["eadress"]))
			{		
		    	update_post_meta($post->ID, "eadress", $_POST["eadress"]);   
			}
		if(isset($_POST["ezip"]))
			{
		    	update_post_meta($post->ID, "ezip", $_POST["ezip"]);  
			}
		if(isset($_POST["etheme"]))
			{
		    	update_post_meta($post->ID, "etheme", $_POST["etheme"]);  
			}
		if(isset($eagent))
			{
		    	update_post_meta($post->ID, "eagent", $eagent);
			}
		if(isset($_POST["efeatured"]))
			{
		    	update_post_meta($post->ID, "efeatured", "on");
			}
			else
				{
				if(isset($post->ID) && $post->ID !="")		
					{
					update_post_meta($post->ID, "efeatured", "off");
					}
				}
		if(isset($_POST["elabel"]))
			{
		    	update_post_meta($post->ID, "elabel", $_POST["elabel"]); 
			}
		if(isset($_POST["oname"]))
			{
		    	update_post_meta($post->ID, "oname", $_POST["oname"]);  
			}
		if(isset($_POST["oadress"]))
			{
		    	update_post_meta($post->ID, "oadress", $_POST["oadress"]);  
			}
		if(isset($_POST["ocity"]))
			{
		    	update_post_meta($post->ID, "ocity", $_POST["ocity"]);  
			}
		if(isset($_POST["ophone"]))
			{
		    	update_post_meta($post->ID, "ophone", $_POST["ophone"]);  
			}
		if(isset($_POST["ofax"]))
			{
		    	update_post_meta($post->ID, "ofax", $_POST["ofax"]);  
			}
		if(isset($_POST["omobile"]))
			{
		    	update_post_meta($post->ID, "omobile", $_POST["omobile"]);  
			}
		if(isset($_POST["oemail"]))
			{
		    	update_post_meta($post->ID, "oemail", $_POST["oemail"]);  
			}
		if(isset($_POST["owebsite"]))
			{
		    	update_post_meta($post->ID, "owebsite", $_POST["owebsite"]);  
			}
		if(isset($_POST["ocommission"]))
			{
		    	update_post_meta($post->ID, "ocommission", $_POST["ocommission"]);  
			}
		if(isset($_POST["onote"]))
			{
		    	update_post_meta($post->ID, "onote", $_POST["onote"]);  
			}
		if(isset($_POST["omaxminus"]))
			{
		    	update_post_meta($post->ID, "omaxminus", $_POST["omaxminus"]);  
			}
		if(isset($_POST["emapy"]))
			{
		    	update_post_meta($post->ID, "emapy", $_POST["emapy"]);
			}
		if(isset($_POST["emapx"]))
			{
		    	update_post_meta($post->ID, "emapx", $_POST["emapx"]);  
			}
		if(isset($_POST["emapz"]))
			{
			update_post_meta($post->ID, "emapz", $_POST["emapz"]);   
			}
		if(isset($_POST["eprice"]))
			{
		    	update_post_meta($post->ID, "eprice", $_POST["eprice"]);   
			}
		if(isset($_POST["epricetype"]))
			{
		    	update_post_meta($post->ID, "epricetype", $_POST["epricetype"]);    
			}
		if(isset($_POST["epricec"]))
			{
		    	update_post_meta($post->ID, "epricec", $_POST["epricec"]);  
			}
		if(isset($_POST["ecommission"]))
			{
		    	update_post_meta($post->ID, "ecommission", $_POST["ecommission"]);  
			}
		if(isset($_POST["edeposit"]))
			{
		    	update_post_meta($post->ID, "edeposit", $_POST["edeposit"]);  
			}
		if(isset( $_POST["bedroom"]))
			{
		    	update_post_meta($post->ID, "bedroom", $_POST["bedroom"]);  
			}
		if(isset($_POST["bathroom"]))
			{
		    	update_post_meta($post->ID, "bathroom", $_POST["bathroom"]);  
			}
		if(isset($_POST["osize"]))
			{
		    	update_post_meta($post->ID, "osize", $_POST["osize"]);  
			}
		if(isset($_POST["osizelot"]))
			{
		    	update_post_meta($post->ID, "osizelot", $_POST["osizelot"]); 
			}
		if(isset($_POST["garage"]))
			{
		    	update_post_meta($post->ID, "garage", $_POST["garage"]); 
			}
		if(isset($_POST["rooms"]))
			{
		    	update_post_meta($post->ID, "rooms", $_POST["rooms"]); 
			}
		if(isset($_POST["floor"]))
			{
		    	update_post_meta($post->ID, "floor", $_POST["floor"]); 
			}
		if(isset($_POST["built"]))
			{
		    	update_post_meta($post->ID, "built", $_POST["built"]); 
			}
		if(isset($_POST["free"]))
			{
		    	update_post_meta($post->ID, "free", $_POST["free"]); 
			} 
		}
	}  









//////////////
////////////// SHORTCODES
//////////////


///////////////////////
/////////// ESTATE SLIDER 
//////////////////////

function estateslider($atts, $content=null)
	{
	global $default_button;
	extract(shortcode_atts(array(
	'header'=>'',
	'buttons'=>true,
	'speed'=>'1000',
	'width'=>'200',
	'height'=>'200',
	'easing'=>'',
	'items'=>'2',
	'itemsforward'=>'1',
	'pauseonhover'=>'true', 
	'direction'=>'left', 
	'price'=>'false',
	'showtext'=>'false', 
	'headline'=>'false',
	'price'=>'false',
	'right'=>'20',
	'number'=>'10',
	'direction'=>'left',
	'showadress'=>true,
	'auto'=>'false',
	'type'=>'',
	'details'=>'true',
	    ), $atts));
	$return="";
	$cols="2";
	if($speed=="")	
		{
		$speed="1000";
		}
	$half_height=$height/2;
	$return="";
	$rand=substr(str_shuffle(str_repeat('ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz',5)),0,5);


	$return.="<div id='carousel-".$rand."' class='grid carousel-container estate-carousel'>";
	$return.="<style type='text/css' scoped='scoped'><!--  #carousel-".$rand." > div > h3 {float:left; display:inline-block;} #carousel-".$rand." .estate-lists-item-shortcode {display:inline-table; vertical-align:top; width:".$width."px; margin-right:".$right."px;}";
	$return.=" #carousel-".$rand."  .carousel-nav {top:".$half_height."px;}";
	if($height!="")
		{
		$return.=" #".$rand." {height:".$height."px;} #".$rand." li, #".$rand." > div {  height:".$height."px;}";
		}
	if($width!="")
		{
		$return.=" #".$rand." ul li, #".$rand." > div {width:".$width."px; }";
		}
	$return.="--></style>\n";	

	$return.="<div><h3>".$header."</h3>\n";	
	if($buttons=="true")
		{	
		$return.="<a id='".$rand."-next' class='carousel-nav carousel-nav-next' onclick='return false' href='#'>&gt;</a>\n
			<a id='".$rand."-prev' class='carousel-nav carousel-nav-prev' onclick='return false' href='#'>&lt;</a>\n";
		}
	$return.="<div class='clear'></div>\n</div>\n";

	$return.="<ul class='carousel template_ul' id='".$rand."'>\n";
 	$args = array( 'posts_per_page' => $number, 'post_type'=>'estate','post_status' => 'publish'); 
	$xpost = null;
	$xpost = new WP_Query($args); 
	$ix=0;
	if( $xpost->have_posts() ) 
		{
		$toid=get_the_id();
		while ($xpost->have_posts()) : $xpost->the_post();  
 		$return.="<li class='ex-".$cols.  " estate-lists-item-shortcode'>\n";
 	    	ob_start();  
	    	get_template_part("estate-entry");  
	    	$ret = ob_get_contents();  
	    	ob_end_clean();  
	   	$return.= $ret;  
		$return.="</li>\n";
	endwhile;
	}
	wp_reset_query(); 
	$return.="</ul>"; 
	$return.="<script type='text/javascript'>
		<!--//--><![CDATA[//><!--
		jQuery(document).ready(function()
			{
			jQuery('#carousel-".$rand." .carousel ').carouFredSel({
				items               	: ".$items.",
				direction           	: '".$direction."',
				";
			if($height!="")
				{
				$return.="height		: '".$height."', "; 
				}
			$return.="				
				prev		: '#".$rand."-prev',
				next		: '#".$rand."-next',";
			if($auto!="true")
				{
				$return.="
					auto :
						{
						play:	false 
						},
					";
				}
			$return.="		scroll : 
					{	";
			if($easing!="")
				{
				$return.="	easing		: '".$easing."', ";
				}
			$return.="
		           			items           : ".$itemsforward.",
		            			duration        : ".$speed.",                  
	            				pauseOnHover    : true
	        				} 
				 });
			";
			if($height!="")
				{
				$return.="			jQuery('#".$rand."').parent().height('".$height."');";
				}
			$return.="
			});
		//--><!]]>
		</script>"; 
	$return.="</div>";
	$return.="<div class='clear'></div>";
	return $return;		
	}
	add_shortcode('estateslider', 'estateslider');




function estate_map($atts, $content = null)
	{
	extract(shortcode_atts(array(
	'height'=>'400', 
	    ), $atts));
	$i=0;
	$return="";
	$mcity="";
	$madress="";
	$mcx="";
	$mcy="";
	$mcz="";

	$rand=substr(str_shuffle(str_repeat('ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz',5)),0,5);	
	$args=array();  
	$args['post_type']='estate';  
	$args['post_status']= 'publish'; 
	$args['posts_per_page']="-1";
	$args['caller_get_posts']="1"; 
	$my_query = null;
	$my_query = new WP_Query($args); 
	if( $my_query->have_posts() ) 
	{ 
	$return.='<div class="map_container"> 
		<div id="map_canvas_'.$rand.'" class="toggle-content" style="width:100%; height:'.$height.'px"></div>
	</div>'; 
	while ($my_query->have_posts()) : $my_query->the_post();  
	$i++; 
	$id=get_the_id();
        	$custom = get_post_custom($id);  
	if(isset($custom['ezip'][0]))
		{
	        	$ezip = $custom["ezip"][0];   
		}
	if(isset($custom['eagent'][0]))
		{
		$eagent=$custom["eagent"][0];	
		}
	if(isset($custom['elabel'][0]))
		{
		$elabel=$custom["elabel"][0];
		}
	if(isset($custom['emapx'][0]))
		{
		$emapx=$custom["emapx"][0];
		}
	if(isset($custom['emapy'][0]))
		{
		$emapy=$custom["emapy"][0];
		}
	if(isset($emapx))
		{
		$mx[]=$emapx;
		if(isset($mcx) AND $mcx=="")	
			{
			$mcx=$emapx;
			}
		}
	if(isset($emapy))
		{
		$my[]=$emapy;
		if(isset($mcy) AND $mcy=="")
			{
			$mcy=$emapy;
			}
		}
	if(isset($custom['emapz'][0]))
		{
		$emapz=$custom["emapz"][0];
		}
	if(isset($emapz) AND $emapz=="")
		{
		$mcz=$emapz;
		}
		else
			{
			$mcz="10";
			}
	$eprice=$custom["eprice"][0];
	if($eprice)
		{
		$mprice[]=number_format($eprice,0,".",",");
		$eprice=number_format($eprice,0,".",",");
		}
		else
			{
			$mprice[]=$eprice;
			}
	$epricetype=$custom["epricetype"][0];
	$epricec=$custom["epricec"][0];
	$mcur[]=$epricec;
	$ecommission=$custom["ecommission"][0];
	$edeposit=$custom["edeposit"][0];
	$bathroom=$custom["bathroom"][0];
	$bedroom=$custom["bedroom"][0];
	$rooms=$custom["rooms"][0]; 
	$mrooms[]=$rooms;
	if(isset($custom['mcity'][0]))
		{
		$mcity[]=$custom['mcity'][0];
		}
	$mbedroom[]=$bedroom;
	$mbathroom[]=$bathroom;
	if(isset($custom['eadress'][0]))
		{
		$madress[]=$custom['eadress'][0];
		}
	$mtitle[]=get_the_title(); 
	$mref[]=get_permalink();
	$mimg[]=get_the_post_thumbnail( get_the_ID(),'icon');	
	$mid[]=get_the_id();
	$city_d = wp_get_object_terms($id, 'estatecity');
	if(!empty($city_d))
		{
	  	if(!is_wp_error( $city_d ))
			{ 
	    		foreach($city_d as $term)
				{
	     			$mcity[]= $term->name; 
	    			} 
	  		}
		}
	endwhile;
	}
	wp_reset_query(); 
	if($i=="0")
		{
		$return.= "<div class='alert alert_blue'>Sorry, no results</div>";
		} 
	$return.='<script type="text/javascript" src="http://maps.google.com/maps/api/js?sensor=false"></script>	
	<script type="text/javascript">
	function initializeMap() 
		{
  		var myflag ="'.get_template_directory_uri().'/images/home.png";';
	$return.="	var latLng = new google.maps.LatLng($mcx,$mcy);";
	$return.="  	var map = new google.maps.Map(document.getElementById('map_canvas_".$rand."'),";
	$return.=" 
			{
	    		zoom: $mcz, 
	    		center: latLng,
	    		mapTypeId: google.maps.MapTypeId.ROADMAP
	  		});  
		";

		for($i=0;$i<count($mx); $i++)
			{
			$return.="var Item_$i= new google.maps.LatLng($mx[$i],$my[$i]);";
			}
		for($i=0;$i<count($mx); $i++)
			{

			$con="<div class=\"map_pop\" style=\"height:150px\">";
			$con.="<h4>$mtitle[$i]</h4>";
			$con.="<p>$madress[$i]";
			$con.=" $mcity[$i]</p>";
			$con.=" $mimg[$i] <p class=\"map_price\">$mcur[$i] $mprice[$i]</p>";
			$con.="<div class=\"hr\"></div><p>";
			if($mbedroom[$i]!="")
				{
				$con.="<span class=\"map_bed\">$mbedroom[$i]</span>";
				}
			if($mbathroom[$i]!="")
				{
				$con.="<span class=\"map_bath\">$mbathroom[$i]</span>";
				}
			if(isset($msize[$i]) AND $msize[$i]!="")
				{
				$con.="<span class=\"size\">$msize[$i]</span>";
				}
			$con.="</p><div class=\"hr\"></div><div class=\"map_buttons\"><a class=\"map_more\" href=\"$mref[$i]\">&raquo; More</a></div></p><div class=\"clear\"></div></div>";
			$con=ltrim($con);
			$con=str_replace("\r\n", "", $con);
			$con=preg_replace("/\r|\n/s", "", $con);
			$return.="var c='".$con."'; ";
			$return.="var infowindow_$i = new google.maps.InfoWindow(
				{
            				content: c,
            				maxWidth: 250
        				});
		  	var marker_$i= new google.maps.Marker(
				{
		    		position: Item_$i, 
		    		map: map, 
				icon: myflag
		  		});
			";
        			$return.="google.maps.event.addListener(marker_$i, 'click', function() 
					{
					";
			for($i1=0;$i1<count($mx); $i1++)
						{
					$return.="infowindow_$i1.close();
					";
						}
			$return.="infowindow_$i.open(map,marker_$i);
        					});
			google.maps.event.addListener(marker_$i, 'mouseover', function() 
					{
					";
			for($i1=0;$i1<count($mid); $i1++)
				{
				$return.="jQuery('#object_$mid[$i]').addClass('hover_object');
				";
				}
			$return.="});
			";
			$return.="google.maps.event.addListener(marker_$i, 'mouseout', function() 
					{
					"; 
					for($i1=0;$i1<count($mid); $i1++)
						{
						$return.="jQuery('#object_".$mid[$i]."').removeClass('hover_object');
			";
						}
			$return.="}); 
			";
			} 
	   		$return.="var bounds = new google.maps.LatLngBounds();
			";
	
		for($i=0;$i<count($mx); $i++)
			{ 
			$return.="bounds.extend(Item_$i);
			"; 
			} 
	
		if($i>0)
			{ 
			$return.="map.fitBounds(bounds);	
			}
			";
			} 
	$return.="google.maps.event.addDomListener(window, 'load', initializeMap);	</script>";
	return $return;
	}
	add_shortcode('estate_map', 'estate_map'); 



///////////////////////
/////////// REAL ESTATE SEARCH
//////////////////////

function search_real_estate($atts, $content = null)
	{
	global $default_button, $_REQUEST;
	extract(shortcode_atts(array(
		'pricemax'=>'100000',
		'pricemin'=>'10000',
		'type'=>'sale',
		'city'=>'city',
		'country'=>'country' 
	    ), $atts)); 
	$echo="<div class='research'>";
	$echo.="<form method='get' action='".home_url()."'>";
	$echo.="<input type='hidden' name='stype' value='research' ><input type='hidden' name='s' value='re' /><input type='hidden' name='paged' value='1' /><input type='hidden' name='captcha' value=''>";

	$sel="";
	if(isset($_REQUEST['estate_type']) && $_REQUEST['estate_type']!="")
		{
		$sel=$_REQUEST['estate_type'];	
		}
	$args = array( 
		'orderby'            => 'name',
		'order'              => 'ASC',
		'style'              => 'list',
		'selected'		=>	$sel,
		'hide_empty'         => 1,
		'use_desc_for_title' => 1, 
		'hierarchical'       => 1,
		'title_li'           => '',
		'show_option_none'   =>__('Choose Type','sevenleague'),
		'echo'               => 0, 
		'taxonomy'           => 'estatetype', 
		'name'           => 'estate_type', 
	);
	$echo.="<label for='estate_type'>".__('Type:','sevenleague')." </label>".wp_dropdown_categories( $args );


	$sel="";
	if(isset($_REQUEST['estate_kind']) && $_REQUEST['estate_kind']!="")
		{
		$sel=$_REQUEST['estate_kind'];	
		}
	$args = array( 
		'orderby'            => 'name',
		'order'              => 'ASC',
		'style'              => 'list',
		'hide_empty'         => 1,
		'use_desc_for_title' => 1, 
		'hierarchical'       => 1,
		'selected'		=>	$sel,
		'title_li'           => '',
		'show_option_none'   => __('Choose kind','sevenleague'),
		'echo'               => 0, 
		'taxonomy'           => 'estatekind', 
		'name'           => 'estate_kind', 
	);
	$echo.="<label for='estate_kind'>".__('Kind:','sevenleague')."  </label>".wp_dropdown_categories( $args );


	$sel="";
	if(isset($_REQUEST['estate_country']) && $_REQUEST['estate_country']!="")
		{
		$sel=$_REQUEST['estate_country'];	
		}
	$args = array( 
		'orderby'            => 'name',
		'order'              => 'ASC',
		'style'              => 'list',
		'hide_empty'         => 1,
		'use_desc_for_title' => 1, 
		'hierarchical'       => 1,
		'selected'		=>	$sel,
		'title_li'           => '',
		'show_option_none'   =>__('Choose Country','sevenleague'),
		'echo'               => 0, 
		'taxonomy'           => 'estatecountry', 
		'name'           => 'estate_country', 
	);
	$echo.="<label for='estate_country'>".__('Country:','sevenleague')."  </label>".wp_dropdown_categories( $args ); 


	$sel="";
	if(isset($_REQUEST['estate_city']) && $_REQUEST['estate_city']!="")
		{
		$sel=$_REQUEST['estate_city'];	
		}
	$args = array( 
		'orderby'            => 'name',
		'order'              => 'ASC',
		'style'              => 'list',
		'selected'		=>	$sel,
		'hide_empty'         => 1,
		'name'               => 'estate_city',
		'use_desc_for_title' => 1, 
		'hierarchical'       => 1,
		'title_li'           => '',
		'show_option_none'   => __('Choose city','sevenleague'),
		'echo'               => 0, 
		'taxonomy'           => 'estatecity', 
	);
	$echo.="<label for='estate_city'>".__('City:','sevenleague')."  </label>".wp_dropdown_categories( $args );


	$echo.="<label for='pricemin'>".__('Minimum Price:','sevenleague')." </label><input placeholder='".__('Price min','sevenleague')."' id='pricemin' type='text' name='pricemin' value='";
	if(isset($_REQUEST['pricemin'])) 	
		{ 
		$echo.= $_REQUEST['pricemin'];
		}
	$echo.="'/>";
	$echo.="<label for='pricemax'>".__('Maximum Price:','sevenleague')."  </label><input placeholder='".__('Price max','sevenleague')."' id='pricemax' type='text' name='pricemax' value='";
	if(isset($_REQUEST['pricemax'])) 	
		{ 
		$echo.= $_REQUEST['pricemax'];
		}
	$echo.="' />";
	$echo.="<label for='rooms'>".__('Rooms:','sevenleague')."  </label><input placeholder='".__('Rooms','sevenleague')."' id='rooms' type='text' name='rooms' value='";
	if(isset($_REQUEST['pricemax'])) 	
		{ 
		$echo.= $_REQUEST['rooms'];
		}
	$echo.="'/>";
	$echo.="<label for='bathrooms'>".__('Bathrooms:','sevenleague')."  </label><input placeholder='".__('Bathrooms','sevenleague')."' id='bathrooms' type='text' name='bathrooms' value='";
	if(isset($_REQUEST['bathrooms'])) 	
		{ 
		$echo.= $_REQUEST['bathrooms'];
		}
	$echo.="'/>";
	$echo.="<label for='bedrooms'>".__('Bedrooms:','sevenleague')."  </label><input placeholder='".__('Bedrooms','sevenleague')."' id='bedrooms' type='text' name='bedrooms' value='";
	if(isset($_REQUEST['bedrooms'])) 	
		{ 
		$echo.= $_REQUEST['bedrooms'];
		}
	$echo.="'/>";
	$echo.="<input type='submit' value='".__('Search','sevenleague')." ' class='square sc_button ".load_option('primary_button')." medium' /></form><div class='clear'></div>";
	$echo.="</div>";  
	return $echo;	
	}
	add_shortcode('search_real_estate', 'search_real_estate'); 



function estate_listentry($atts, $content=null)
	{
	global $default_button;
	extract(shortcode_atts(array( 
	'id'=>'',   
	    ), $atts));
	$return="";
	$cols="2";   
 	$args = array( 'posts_per_page' => '1', 'post_id'=>$id, 'post_type'=>'estate','post_status' => 'publish'); 
	$xpost = null;
	$xpost = new WP_Query($args); 
	$ix=0; 
	if( $xpost->have_posts() ) 
		{
		while ($xpost->have_posts()) : $xpost->the_post();  
		$ix++;  
	    	ob_start();  
	    	get_template_part("estate-entry-list");  
	    	$ret = ob_get_contents();  
	    	ob_end_clean();  
	   	$return.= $ret;  
	endwhile;
	}
	wp_reset_query();  
	return $return;		
	}
	add_shortcode('estate_listentry', 'estate_listentry');




function estate_entry($atts, $content=null)
	{
	global $default_button;
	extract(shortcode_atts(array( 
	'id'=>'',   
	    ), $atts));
	$return="";
	$cols="2";   
 	$args = array( 'posts_per_page' => '1', 'post_id'=>$id, 'post_type'=>'estate','post_status' => 'publish'); 
	$xpost = null;
	$xpost = new WP_Query($args); 
	$ix=0; 
	if( $xpost->have_posts() ) 
		{
		while ($xpost->have_posts()) : $xpost->the_post();  
		$ix++;  
	    	ob_start();  
	    	get_template_part("estate-entry");  
	    	$ret = ob_get_contents();  
	    	ob_end_clean();  
	   	$return.= $ret;  
	endwhile;
	}
	wp_reset_query();  
	return $return;		
	}
	add_shortcode('estate_entry', 'estate_entry');




function estate_grid($atts, $content=null)
	{
	global $default_button;
	extract(shortcode_atts(array( 
	'items'=>'9',  
	'columns'=>'3',
	'type'=>'', 
	    ), $atts));
	$return="";
	$cols="2";  
	$return.="<div  class='portfolio-itemlist-col".$columns." group-itemlist-".$columns." grid' >\n";
 	$args = array( 'posts_per_page' => $items, 'post_type'=>'estate','post_status' => 'publish'); 
	$xpost = null;
	$xpost = new WP_Query($args); 
	$ix=0;
	if( $xpost->have_posts() ) 
		{
		while ($xpost->have_posts()) : $xpost->the_post();  
		$ix++; 
		$toid=get_the_id();
		$id=$toid;


	    	ob_start();  
	    	get_template_part("estate-entry");  
	    	$ret = ob_get_contents();  
	    	ob_end_clean();  
	   	$return.= $ret;  


	endwhile;
	}
	wp_reset_query(); 
	$return.="</div>"; 
	$return.="<div class='clear'></div>";
	return $return;		
	}
	add_shortcode('estate_grid', 'estate_grid');




function estate_featured_grid($atts, $content=null)
	{
	global $default_button;
	extract(shortcode_atts(array( 
	'items'=>'9',  
	'columns'=>'3',
	'type'=>'', 
	    ), $atts));
	$return="";
	$cols="2";  
	$return.="<div  class='portfolio-itemlist-col".$columns." group-itemlist-".$columns." grid' >\n";
 	$args = array( 'posts_per_page' => $items, 'post_type'=>'estate','post_status' => 'publish'); 
	$args['meta_query'][]=array( 
				'key' => 'efeatured',
				'value' => 'on',
				'compare' => '=', 
				);
	$xpost = null;
	$xpost = new WP_Query($args); 
	$ix=0;
	if( $xpost->have_posts() ) 
		{
		while ($xpost->have_posts()) : $xpost->the_post();  
		$ix++; 
		$toid=get_the_id();
		$id=$toid;


	    	ob_start();  
	    	get_template_part("estate-entry");  
	    	$ret = ob_get_contents();  
	    	ob_end_clean();  
	   	$return.= $ret;  


	endwhile;
	}
	wp_reset_query(); 
	$return.="</div>"; 
	$return.="<div class='clear'></div>";
	return $return;		
	}
	add_shortcode('estate_featured_grid', 'estate_featured_grid');




function estate_list($atts, $content=null)
	{
	global $default_button;
	extract(shortcode_atts(array( 
	'items'=>'9',   
	'type'=>'',  
	    ), $atts));
	$return="";
	$cols="2";  
	$return.="<div  class='estate-itemlist  group-itemlist-1' >\n";
 	$args = array( 'posts_per_page' => $items, 'post_type'=>'estate','post_status' => 'publish'); 
	$xpost = null;
	$xpost = new WP_Query($args); 
	$ix=0;
	if( $xpost->have_posts() ) 
		{
		while ($xpost->have_posts()) : $xpost->the_post();  
		$ix++; 
		$toid=get_the_id();
		$id=$toid;
		$return.="<div class='estate-lists-item'>";
	    	ob_start();  
	    	get_template_part("estate-entry-list");  
	    	$ret = ob_get_contents();  
	    	ob_end_clean();  
	   	$return.= $ret;  
		$return.="</div>";
	endwhile;
	} 
	wp_reset_query(); 
	$return.="</div>"; 
	$return.="<div class='clear'></div>";
	return $return;		
	}
	add_shortcode('estate_list', 'estate_list');



function estate_featured_list($atts, $content=null)
	{
	global $default_button;
	extract(shortcode_atts(array( 
	'items'=>'9',   
	'type'=>'', 
	    ), $atts));
	$return="";
	$cols="2";  
	$return.="<div  class='estate-itemlist'>\n";
 	$args = array( 'posts_per_page' => $items, 'post_type'=>'estate','post_status' => 'publish'); 
	$args['meta_query'][]=array( 
				'key' => 'efeatured',
				'value' => 'on',
				'compare' => '=', 
				);
	$xpost = null;
	$xpost = new WP_Query($args); 
	$ix=0;
	if( $xpost->have_posts() ) 
		{
		while ($xpost->have_posts()) : $xpost->the_post();  
		$ix++; 
		$toid=get_the_id();
		$id=$toid;
		$return.="<div class='estate-lists-item'>";
	    		ob_start();  
	    		get_template_part("estate-entry-list");  
	    		$ret = ob_get_contents();  
	    		ob_end_clean();  
	   		$return.= $ret;  
		$return.="</div>";
	endwhile;
	}
	wp_reset_query(); 
	$return.="</div>"; 
	$return.="<div class='clear'></div>";
	return $return;		
	}
	add_shortcode('estate_featured_list', 'estate_featured_list');























///////////////////////////////
///////////////////////////////
///////////////// REAL ESTATE CATEGORY WIDGET
///////////////////////////////
///////////////////////////////

class ImmoWidget extends WP_Widget
	{
	function ImmoWidget()
		{
		$widget_ops = array('classname' => 'ImmoWidget', 'description' => 'Displays the Submenu of current Page' );
		$this->WP_Widget('ImmoWidget', 'Widget :: Real Estate Categories', $widget_ops);
		} 
	function form($instance)
		{
		$instance = wp_parse_args( (array) $instance, array( 'title' => '', 'depth' =>'' ) );
		$title = $instance['title'];
		$depth = $instance['depth'];
		?>
		<p><label for="<?php echo $this->get_field_id('title'); ?>">Title: <input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo esc_attr($title); ?>" /></label></p>
		<p><label for="<?php echo $this->get_field_id('depth'); ?>">Category: 
			<select class="widefat" id="<?php echo $this->get_field_id('depth'); ?>" name="<?php echo $this->get_field_name('depth'); ?>" >
			<option></option>
			<option value="estatetype" <?php if($depth=="estatetype") { echo " selected ";} ?> >Type</option>
			<option value="estatekind" <?php if($depth=="estatekind") { echo " selected ";} ?> >Kind</option>
			<option value="estatecity" <?php if($depth=="estatecity") { echo " selected ";} ?> >City</option>
			<option value="estatecountry" <?php if($depth=="estatecountry") { echo " selected ";} ?> >Country</option>
			<option value="estatefeature" <?php if($depth=="estatefeature") { echo " selected ";} ?> >Features</option>
			</select>
		</label></p> 
		<?php
		}
	function update($new_instance, $old_instance)
		{
		$instance = $old_instance;
		$instance['title'] = $new_instance['title'];
		$instance['depth'] = $new_instance['depth'];
		return $instance;
		}
   	function widget($args, $instance)
		{
		global $post;
		extract($args, EXTR_SKIP);
 		echo $before_widget;
		$title = empty($instance['title']) ? ' ' : apply_filters('widget_title', $instance['title']);
		$title=trim($title);
		$depth = $instance['depth'];
		if ( $title!="")
	 		{
			echo $before_title . $title . $after_title;
			}  
		$terms = get_terms($depth);
		$count = count($terms); $i=0;
		if ($count > 0) 
			{
		    	$term_list = '<ul>';
	    		foreach ($terms as $term) 
				{
	        			$i++;
				if(is_string($term->name))
					{
		    			$term_list .= '<li><a href="'. get_term_link("$term->name","$depth") .'">';
					}				
				$term_list .= $term->name   .'</a></li>';
				}
			echo $term_list."</ul>";
			}	
			echo $after_widget;
		}
	}
	add_action( 'widgets_init', create_function('', 'return register_widget("ImmoWidget");') );






/**********
*********** AGENTS FUNCTIONS
**********/


 
function user_contact_fields($user_contactmethods)
	{
  	$user_contactmethods['twitter'] = 'Twitter Username';
  	$user_contactmethods['facebook'] = 'Facebook Username';
  	$user_contactmethods['phone'] = 'Phone number';
	$user_contactmethods['mobile'] = 'Mobilephone number';
	$user_contactmethods['fax'] = 'Fax number';
	return $user_contactmethods;
	}
add_filter('user_contactmethods','user_contact_fields',10,1);



add_action( 'show_user_profile', 'my_show_extra_profile_fields' );
add_action( 'edit_user_profile', 'my_show_extra_profile_fields' );
 
function my_show_extra_profile_fields( $user ) 
	{ ?>
	<h3>Extra profile information</h3>
	<table class="form-table">
		<tr>
			<th><label for="image"><?php _e('Profile Image','sevenleague'); ?></label></th>
 			<td>
				
				<input type="text" name="image" id="image" value="<?php echo esc_attr( get_the_author_meta( 'image', $user->ID ) ); ?>" class="regular-text" /><input type='button' class="button-primary" value="Upload Image" id="uploadimage"/><br />
				<span class="description"><?php _e('Please upload your image for your profile.','sevenleague'); ?></span>
				<h4><?php _e('Preview:','sevenleague'); ?></h4>
				<img src="<?php echo esc_attr( get_the_author_meta( 'image', $user->ID ) ); ?>" style="height:50px;">
			</td>	
		</tr> 
 	</table>
	<?php 
	}


function custom_profile_upload_js() 
	{
	?><script type="text/javascript">
	jQuery(document).ready(function() 
		{
		jQuery(document).find("input[id^='uploadimage']").live('click', function(){
		formfield = jQuery('#image').attr('name');
		tb_show('', 'media-upload.php?type=image&amp;TB_iframe=true');
		window.send_to_editor = function(html) 
			{
			imgurl = jQuery('img',html).attr('src');
			jQuery('#image').val(imgurl);
			tb_remove();
			}
		return false;
		});
	});
	</script>
	<?php
	}

add_action('admin_head','custom_profile_upload_js'); 



add_action( 'personal_options_update', 'my_save_extra_profile_fields' );
add_action( 'edit_user_profile_update', 'my_save_extra_profile_fields' );
 
function my_save_extra_profile_fields( $user_id ) 
	{
	if ( !current_user_can( 'edit_user', $user_id ) )
	return false;
	update_user_meta( $user_id, 'image', $_POST['image'] ); 
	}

 
 

?>