<!DOCTYPE html>
<?php
global $noslider;
if(!is_404() AND isset($post))
	{ 
	$custom = get_post_custom($post->ID);  
	}
	else
		{
		$custom="";
		}
?>
<html <?php language_attributes(); ?>>
<head>
<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" /> 
<title><?php wp_title('&laquo;', true, 'right'); ?> <?php bloginfo('name'); ?></title>
<link rel="shortcut icon" href="<?php echo load_option("favicon"); ?>" type="image/x-icon">
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
<?php //wp_get_archives('type=monthly&format=link'); ?><?php // this function will be produce an Validation Error. You can uncomment if you want! ?>
<?php //comments_popup_script(); // off by default ?>
<!--[if lt IE 9]>
<script src="//html5shim.googlecode.com/svn/trunk/html5.js"></script>
<![endif]-->
<?php wp_head(); ?>
</head>
<body <?php body_class(); ?> > 
<div id="cbackground">
</div>
<div id="container">
	<?php if(load_option("show_overheader")!="false")
		{
		?>
		<section id="overheader">
			<div class="inner">
				<div class="fleft">
					<?php echo do_shortcode(stripslashes(load_option("overhead_content"))); ?>
				</div>
				<div class="fright text-right">
					<?php echo do_shortcode("[social-icons]"); ?>
				</div>
				<div class="clear"></div>
			</div> 
		</section>
		<?php
		}
	?> 
	<section id="page" class="page">
		<header id="headline"> 
			<div id="headmenu">
				<div id="nav_gradient">
					<div id="navline_wrap">
						<div id="nav" class="page">
							<div class="inner">
								<div id="brand">
									<a href="<?php echo home_url(); ?>">
										<?php echo load_logo(); ?>
									</a>
								</div>	
								<div id="header_info">
									<span><?php echo do_shortcode(stripslashes(load_option("header_info"))); ?></span><?php echo do_shortcode("[social-icons]"); ?>
								</div>  
								<div id="navleft">
									<?php if(load_option("map_link")!="")
										{
										?><a class='header_link header_map_link' href="<?php echo load_option("map_link"); ?>"><i class="sc_fa_icon icon-map-marker"></i></a><?php
										}
									if(load_option("contact_link")!="")
										{
										?><a class='header_link header_contact_link' href="<?php echo load_option("contact_link"); ?>"><i class="sc_fa_icon icon-phone"></i></a><?php
										}
									?>
									<?php
									if(has_nav_menu('main_menu_1'))
										{
										$walker = new Menu_With_Description;  									
										wp_nav_menu( array('container'=> 'nav', 'walker'=>$walker ,'fallback_cb' => 'wp_page_menu', 'theme_location' => 'main_menu_1','menu_id'=>'menu', 'menu_class'=>'main-menu main-menu-1 sf-menu sf-js-enabled sf-shadow')    ); 
										}
										else 
											{
											echo "<div class='alert alert_red'>PLEASE DEFINE A MENU</div>"; //wp_page_menu(array('menu_class'  => 'main-menu main-menu-1 sf-menu sf-js-enabled sf-shadow')); //wp_list_pages();
											}
									?>
								</div>
								<div class="clear"></div>						
							</div>
						</div>
					</div>
				</div>
			</div>
		</header> 
		<?php  
		if(!isset($_REQUEST['stype']))
		{
		if(  (isset($custom["slider_type"][0])) AND ($custom["slider_type"][0]=="Mapslider") )
			{
			get_template_part("slider_mapr");
			}
		if(  (isset($custom["slider_type"][0])) AND ($custom["slider_type"][0]=="Flexslider") )
			{
			get_template_part("slider_flexslider");
			}
		if(  (isset($custom["slider_type"][0])) AND ($custom["slider_type"][0]=="Elasticslider") )
			{
			get_template_part("slider_elastic");
			}
		if(  (isset($custom["slider_type"][0])) AND ($custom["slider_type"][0]=="Cycle") )
			{
			get_template_part("slider_cycle");
			}
		if(  (isset($custom["slider_type"][0])) AND ($custom["slider_type"][0]=="Cycle-Boxed") )
			{
			get_template_part("slider_cycle_boxed");
			}
		if(  (isset($custom["slider_type"][0])) AND ($custom["slider_type"][0]=="Featured-image") )
			{
			get_template_part("slider_image");
			}
		if(  (isset($custom["slider_type"][0])) AND ($custom["slider_type"][0]=="Smooth-Slider") )
			{
			get_template_part("slider_smooth");
			} 
		if(  (isset($custom["slider_type"][0])) AND ($custom["slider_type"][0]=="Map") )
			{
			get_template_part("header_map");
			} 
		if(  (isset($custom["slider_type"][0])) AND ($custom["slider_type"][0]=="Search") )
			{
			get_template_part("header_search");
			} 
		if(  (isset($custom["slider_type"][0])) AND ($custom["slider_type"][0]=="Objects") )
			{ 
			get_template_part("header_object_slider");
			} 
		if(  (isset($custom["slider_type"][0])) AND ($custom["slider_type"][0]=="Featured-Objects") )
			{
			get_template_part("header_featured_object_slider");
			} 
		}
		?> 
		<div class="mainsection">
			<div class="inner"> 
		<?php if(is_singular() && isset($custom['show_headline'][0]) AND $custom['show_headline'][0]=='on') { ?>
			<section id="head_line" class="<?php echo sevenleague_headline_section_class(); ?>">  
				<div class="inner">
					<h1><?php echo get_the_title(); ?></h1>
					<?php echo sevenleague_second_headline(); ?>
				<div class="clear"></div> 
				</div>
			</section> 
		<?php } ?>